commit f18331f6ebd77e9960742324bc72edee400657ae
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Dec 29 17:02:45 2015 +0100

    access: http: fix icecast served playlists
    
    IceCast playlists are considered as streams if
    the Server is "IceCast x".
    
    As we are not reordering headers, we must handle
    that case and revert any icecast streaming changes.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f582141de56838742305330444a2ff045012259b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Dec 28 23:42:57 2015 +0100

    Update NEWS

commit 2fe3e7bfb74dd19fc1165454b226d299c08bdd65
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 28 14:49:36 2015 +0100

    access: mmstu: avoid overflow reading bitrate
    
    (cherry picked from commit 4934cda0b4ab4f9edbdb68a6d5d57c9fad4969b2)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 53a6c7ecf7472ceb606dc658916239d575e04cbd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 28 14:20:34 2015 +0100

    access: mmstu: remove xmalloc and simplify
    
    (cherry picked from commit c641af460856c81cfd6c91e2a4edc3304681f494)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 609b18afca52acf9a1e5e7b09ac3c1f4b440184b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 28 14:17:14 2015 +0100

    access: mmstu: drop xrealloc and simplify
    
    (cherry picked from commit de4b5430990bd7d2b48b33cd88d1747c5f943131)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 113ba636d6b419687001af95511f925e3838517d
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 28 13:53:44 2015 +0100

    access: mmstu: check command length before parsing
    
    (cherry picked from commit 377b93ef0b09c7be6b6cb53228d195c916f19b61)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ed59e9654eb4762134077f7bae972fc267f2f54f
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Dec 28 12:57:08 2015 +0100

    access: mmstu: check for overflows (refs #16246)
    
    (cherry picked from commit 90ceeec675148623dd214b7f255c7a08baf614b5)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ad600d5b9adb793964d2cf03eef0d2b5abe53214
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 27 23:34:45 2015 +0100

    access: mmstu: fix signedness
    
    (cherry picked from commit 3524d9e534c5d1cacb6329798688c46741163c93)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 23661e2b1671c9dd742e7f78f62a777720a8541a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Dec 27 23:22:03 2015 +0100

    access: mmsu: remove xmalloc
    
    (cherry picked from commit 03f61eff6a620fc979a84b80a019006f64b4477b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ab096695e405df0bf93f05b33bce874b8686caec
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Dec 19 18:08:24 2015 +0100

    youtube.lua: resolve XML entities in Art URL
    
    (cherry picked from commit 8cd7277cde3d929f7baa0db61ce6162a9848b25e)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit dcc6b6ade45449234b02c0c0cc7e6adf34283ce1
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Dec 19 17:45:55 2015 +0100

    youtube.lua: more flexible variable declaration parsing in javascript
    
    This copes with: var a=...,b=...;
    
    (cherry picked from commit 623c46ba4ded47624ae4f840b58e8c1227325c74)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 22d188bf365df9785372ef684bbb1dc0b0975016
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Dec 18 13:03:05 2015 +0100

    German translation: fix parsing

commit f48596e757d7aa5defa243f84ea6ae50d5daf76a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 18 00:13:47 2015 +0100

    Po: Fix distcheck

commit 1084a684215ea8a631c5ccf552f17f623de3f1ed
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 17 21:49:16 2015 +0100

    German translation: sanitize and unify stuff

commit db5105c5349f2ac3100ae5d20db7fda15f506bc2
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 13:03:34 2015 -0500

    l10n: Traditional Chinese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 33d85f684026c13fd141b36ed95f6b1204082722
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 13:02:06 2015 -0500

    l10n: Simplified Chinese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 721b02474e116f0283899ee4f91aa08540f5c63e
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 13:00:32 2015 -0500

    l10n: Uzbek update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 583cf7827a5105de781019ac5a95b634f871a84f
Author: Andriy Bandura <andriykopanytsia@gmail.com>
Date:   Thu Dec 17 12:58:15 2015 -0500

    l10n: Ukrainian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 9b0f63994c47dde5174611008130c88575ef3ede
Author: Kaya Zeren <kayazeren@gmail.com>
Date:   Thu Dec 17 12:55:40 2015 -0500

    l10n: Turkish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 269031a66a55bd2d48930f34dbc6e3a1a141d2a7
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 12:54:37 2015 -0500

    l10n: Tamil update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit ade3f429764b2730c1a6514abd876b54955dd6c6
Author: A. Regnander <anton_r_3@hotmail.com>
Date:   Thu Dec 17 12:53:28 2015 -0500

    l10n: Swedish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 167529c21e39403c5ab10c520a05043654f682e7
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 12:48:28 2015 -0500

    l10n: Slovenian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit ed4d8d9e1dbc2c6ce7c2b2747b0fa3e6fa2b963c
Author: Marián Hikaník <mhikanik@users.sourceforge.net>
Date:   Thu Dec 17 12:47:03 2015 -0500

    l10n: Slovak update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 59faf370ed59b0b23a62080bba2a0ec47882c7d8
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 12:45:55 2015 -0500

    l10n: Russian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit db11ecadf64234b575d4789267bdd225f6fbc6a0
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 12:44:33 2015 -0500

    l10n: Portuguese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 02163ee8de995fb03d53f73cc248c9dfc8573536
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 12:40:32 2015 -0500

    l10n: Brazilian Portuguese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 2b08a54e7d2c445d893542010068c6cd32c0ee2e
Author: Michał Trzebiatowski <hippie_1968@hotmail.com>
Date:   Thu Dec 17 12:39:29 2015 -0500

    l10n: Polish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 1ac284cf0cbdd68fdaf4f3c7b6825c3c96682f5f
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 12:38:11 2015 -0500

    l10n: Punjabi update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit d694e0da199c84e756640dc839172be57f26cef5
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 12:37:26 2015 -0500

    l10n: Occitan update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit e5a151dba9d8026cc2b13116f7b242fcc83e2cd6
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 12:35:39 2015 -0500

    l10n: Norwegian Nynorsk update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit e68d524686102cb2346c8b5bda88733e3a3eccfa
Author: Thomas De Rocker <thomasderocker@hotmail.com>
Date:   Thu Dec 17 12:34:30 2015 -0500

    l10n: Dutch update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 244d31d21b7a35b0287ca518060de54248591351
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 12:32:35 2015 -0500

    l10n: Norwegian Bokmål update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 5f8b74adfd6e4ea26eb2d28981514fa010713210
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 12:24:30 2015 -0500

    l10n: Malay update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit dc9ff2bdc9094a0baf37f79a36e2556d65014689
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 12:23:10 2015 -0500

    l10n: Marathi update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 92cf5f29b7bbd7413bf3339acb71c007ccea1752
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 12:19:05 2015 -0500

    l10n: Malayalam update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit c01aef20fc9ddcf94a428a78b7802e3d137199fb
Author: Ingmārs Dīriņš <melhiors14@gmail.com>
Date:   Thu Dec 17 12:16:15 2015 -0500

    l10n: Latvian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 72c85444333c10503e33f88271417de1b9a4656c
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 12:14:21 2015 -0500

    l10n: Lithuanian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 9a46903d2b300b5800b63e5f78773896b1c4b648
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 12:10:12 2015 -0500

    l10n: Korean update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 6cfd0d14d45ed497d8e5d0f4275afa733bfc5625
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 12:04:59 2015 -0500

    l10n: Kazakh update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 089e0a96f312077a9f2b9a33cefd81f10e65de13
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 12:03:32 2015 -0500

    l10n: Kabyle update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 4aec764adb8501f9874b49c20d9e58f766112b58
Author: Fumio Nakayama <fumio.n6a@gmail.com>
Date:   Thu Dec 17 12:00:24 2015 -0500

    l10n: Japanese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 2b6f82ecfd3aeac2c87e7fd9ef6261eaff5fa56d
Author: Vincenzo Reale <smart2128@baslug.org>
Date:   Thu Dec 17 11:58:28 2015 -0500

    l10n: Italian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 052b64e7be0509a0c2d8d1f32595cbcc066af463
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 11:55:42 2015 -0500

    l10n: Indonesian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 91e1a73293d44c7c67a3b1db3af4dcf157a468ac
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Thu Dec 17 11:54:32 2015 -0500

    l10n: Hungarian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit a27f64fdb730b18a5a95983287279181b12668ac
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 11:50:19 2015 -0500

    l10n: Hindi update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit b2b8f721dc115e2b76f503031126f90b0e4f6ff5
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 11:47:59 2015 -0500

    l10n: Gujarati update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 202bf894de45f83f5baecf4fa599b44681ee6fdd
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 11:45:30 2015 -0500

    l10n: Scottish Gaelic update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit eb7d7207e9f1aab617143b78ad30113c91b1948f
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 11:38:38 2015 -0500

    l10n: Irish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 59873a67bdb53e7395dcf66d6ca13be9908ad1d8
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 11:26:40 2015 -0500

    l10n: French update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 350e8864426d6e7404557f266491fddf94afa015
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 11:22:38 2015 -0500

    l10n: Finnish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 00c780de8b97a4ebe2ac4c4beea99a8958dcdc3c
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 11:20:01 2015 -0500

    l10n: Persian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 81dd68f648b32b5b9e5ac30971bcc3c0f4e82783
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 11:18:37 2015 -0500

    l10n: Basque update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 1719c4d00d288ef21be735b2db68e134695fc5cd
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 11:16:25 2015 -0500

    l10n: Spanish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit f3ba4ad14e204a3fe023fe073e470f31ad60d923
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 11:13:23 2015 -0500

    l10n: Spanish (Mexico) update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 7d57bc3b1aeada8470c9d000c46d3ae804f09717
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 11:11:31 2015 -0500

    l10n: English (United Kingdom) update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 4ee6f198d89cb309a37a44e57768cb5c83157b3f
Author: Savvas Nesseris <modernphilosopher82-2011@yahoo.com>
Date:   Thu Dec 17 10:41:49 2015 -0500

    l10n: Modern Greek update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit b05070dab4aa288acb0cba67f89878fd444cc73f
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Thu Dec 17 10:31:44 2015 -0500

    l10n: German update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 0e06c24a83ceec6a8297598b8e058ab8c56acded
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 10:26:01 2015 -0500

    l10n: Danish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 8dfb33ae71ee8740d113820422337332c7ae64b2
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 10:24:43 2015 -0500

    l10n: Welsh update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 624cb64739fa01cb8154b8d2e67c90972783bf83
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 10:24:07 2015 -0500

    l10n: Czech update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit ddea7175f48faa3454e08ce99be4af3c67bfd8ed
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 10:22:02 2015 -0500

    l10n: Corsican update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit c32a6a233d63f4624b8c68d2e2bd3cf9fe62b8e7
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 10:18:11 2015 -0500

    l10n: Bosnian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit f5c9493a9c6af0bc9f1617d4ff3f2a1fc160bd17
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 10:15:55 2015 -0500

    l10n: Initial Bodo translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit acd7aeb2b3d829a8934dcb55f729b0358836788e
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 10:09:57 2015 -0500

    l10n: Bengali update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit cfb3cc436d5e693d9e2abf4fb6a5912a51de315e
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 10:05:25 2015 -0500

    l10n: Bulgarian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 9e40ab651f88815e547b06327f543aa22081d036
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 10:02:31 2015 -0500

    l10n: Asturian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit baab3696ecc2c7625199a20594e93d0e9abbf698
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 10:00:05 2015 -0500

    l10n: Initial Assamese (India) translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 499466b0b3d440018fa9fcdec75442e91aded038
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 09:56:30 2015 -0500

    l10n: Arabic update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 9c0c9fd68ddbb0c88e3d0248a0ac58d5392d9346
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 09:52:39 2015 -0500

    l10n: Amharic (Ethiopia) update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit d3adeabf38049ce68dbd964f01138e2cb38ff849
Author: VideoLAN <videolan@videolan.org>
Date:   Thu Dec 17 09:50:16 2015 -0500

    l10n: Afrikaans update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit bb9b2560e0c445d58f7329358cc0dcee8d9d51a1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 16 17:39:37 2015 +0100

    NEWS: clarify the Qt 5.5 key/mouse events support

commit 09f3b6be561afcced2e0bc51fb2d4c80a7e3ef87
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 16 17:32:08 2015 +0100

    Update NEWS for 2.2.2

commit eece3fe28a4f041b65bf95c05b5c940eef53a31b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 16 16:37:11 2015 +0100

    Update PO

commit 4fbdbe20eb4ab800dfaf4a84b13d65be9c084107
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Dec 2 15:28:18 2015 +0100

    Contribs: update live555
    
    (cherry picked from commit 85bbd21f6bd3377d588994c0f9848ca8d20af6e4)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c621fad699a541cdce524aff320482b47645d9e0
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 8 18:27:21 2015 +0100

    lua: Destroy the callback before destroying the variable
    
    (cherry picked from commit ea1db09becdfe6b05233f312592c33d63c025f96)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0f94bb54d0f89b42055e751b697077b2e6e9c9d1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 8 14:05:22 2015 +0100

    extras/package: update npapi code location
    
    (cherry picked from commit 2cc390045729b8e4cb51e6a8094df609461e7451)
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 95877a9cc187ddc27f0eb19f4579c88c1ac7ae8b
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 10 15:01:47 2015 +0100

    qt4: Fix initial input probing
    
    inputChangedHandler only reads from the current MIM input, which isn't
    set until the next playlist callback is received.
    This actively probes the current input, sets it, and inform potential
    listeners
    refs #14162
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit f2dac80120f7d4e8c350bc53d1a3fc34277fac3a
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Dec 10 13:08:44 2015 +0100

    qt4: Make Singleton thread safe
    
    This is unoptimal but could be improved using C++11 (or memory barriers
    for double check locking)
    fixes #14885
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit e6a19dffb201f37f4387953e30c51d1db89ff16b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Mar 17 18:03:17 2015 +0100

    Qt: do not emit signals from the MIM constructor
    
    Should close #14162
    
    Signed-off-by: Hugo Beauzée-Luyssen <hugo@beauzee.fr>

commit 1317319c41747c9be6e0fabf450b2831e97cee19
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Dec 8 15:26:38 2015 +0100

    qt4: input_manager: Only add root items to recent items list
    
    fixes #14399
    
    (cherry picked from commit a26999c1f42ea4173d4e3ea64bfc554b36becc30)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9a316d42c110aa80bf5dff16c443338a7dba700c
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 8 16:44:54 2015 +0100

    avcodec: fix build before libavcodec 55
    
    Pointed-by: Hannes Domani <ssbssa@yahoo.de>

commit 07ddb88cd7e7b8642e53b95aeee8b18077dd44cf
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Jul 30 17:37:34 2015 +0200

    avcodec: fix invalid free
    
    Initialize frame to NULL before goto end
    
    (cherry picked from commit 3fc28a0bc620ea3668181eb24ddb0b5f0d00e869)

commit ada74145cbe3feb088eb12969932292811b9bfe0
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sun Dec 6 18:57:41 2015 +0900

    os2: thread: determine cancelable state with killable variable
    
    If thread cancel is disabled and cancel is requested, it causes a tight
    infinite loop eating up CPU in cancellation points such as vlc_join(),
    vlc_cond_wait() and vlc_cond_timedwait().
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 973a465a5a28ebd9c9bcf860f21e2dca85ee1a9e)
    Signed-off-by: KO Myung-Hun <komh@chollian.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c4f3a3a2bc8be59a565a2f318efda077b3beff5b
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sun Dec 6 18:57:40 2015 +0900

    os2: thread: use sys/builtin.h instead of 386/builtin.h
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit d297628100501ffe6a2e7e1d1d5cd1dabf5b70b3)
    Signed-off-by: KO Myung-Hun <komh@chollian.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 827a5bf2304a23e381b5ebf2d19590840560ebf6
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sun Dec 6 18:57:39 2015 +0900

    src: os2: fix locking at quit
    
    Sometimes, especially at quit, vlc_cond_(timed)wait() may be called
    very frequently. And this may exceed the limit the post count of
    OS/2 event semaphore. As a result, waiting thread numbers cannot be
    calculated properly.
    
    To avoid this, increase/decrease waiting thread numbers in
    vlc_cond_wait_common() instead of separating it into vlc_cond_signal()
    and vlc_cond_wait_common().
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit b8242eeb84ac626d58c55a66288e79da6dffdd08)
    Signed-off-by: KO Myung-Hun <komh@chollian.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 03c486577b06a1b012a8e32918bdbdfa3afe6c2a
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sun Dec 6 18:57:38 2015 +0900

    os2: thread: implement vlc_cond_signal() correctly
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 867024da82f9e13d9ff8da1ce41bf47d6aebbd0e)
    Signed-off-by: KO Myung-Hun <komh@chollian.net>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fef83a43346b3856b869488a7cae4f970e4e8655
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Dec 5 17:12:22 2015 +0100

    macosx: Allow to open https URLs, do not list VLC as a browser
    
    This allows to drop https URLs on the VLC icon as well, in addition
    to http URLs.
    
    Additionally, this removes VLC again from the list of web browsers
    the user can choose in system settings --> general.
    
    close #13672
    
    (cherry picked from commit 66bab23eb7950a19279bad31dc642f8c87e90447)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit ed88d3cb8cb3a7d34128b6557ca77a54ac352881
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Fri Dec 4 06:04:27 2015 -0500

    l10n: NSIS: adding Afrikaans and Indonesian

commit 108b8b1fad8575e1ee148872c51ae4b280652615
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Fri Dec 4 06:00:37 2015 -0500

    l10n: NSIS: updating Danish, Korean, Lithuanian, Norwegian, Portuguese and Turkish

commit 5b8bcefede40abe2db5c6837ca28836c43530d3e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Dec 2 15:48:28 2015 +0100

    stream_filter: httplive: extend probing to 2K (fix #15134)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cd367a0208739ff9567a02fc41e848ebbdbdc822
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 1 14:25:03 2015 +0100

    Contribs: update Freetype to 2.6.2
    
    (cherry picked from commit ab6e4544a810b0e6b7ceb19ec7e5c19197562699)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 900295c4568390ed68ea9a051115176127b7affb
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Jul 26 18:05:38 2014 +0200

    directsound: missing header
    
    (cherry picked from commit 9beeb8b83f13de4ab52edd10cca33704741661cb)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0e320c5346da32c27332753d20abe176d127f68d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Dec 1 13:53:16 2015 +0100

    Contribs: Update libbluray to 0.9.2
    
    (cherry picked from commit f76cbf5fd4ee29a4757518983f827e86e66325dc)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3453ad2be7df9f4a34a4b678ec8c13faab27fc9d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 30 18:29:38 2015 +0100

    Contribs: update libxml2 to 2.9.3
    
    (cherry picked from commit a6164237ba4b6ea07503464ea3c2f72e9f19374c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0fe0df2b6d307c33fde70af30c9eb96926c0227d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 30 18:25:37 2015 +0100

    Contribs: Update gpg-error to 1.20
    
    (cherry picked from commit f91f0127c3c493a4cfc61346896fa5ff04f9de2e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8d6fda7db6b849306fcbd199e0072443142d5b06
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 30 18:25:20 2015 +0100

    Contribs: update gcrypt to 1.6.4
    
    (cherry picked from commit f23d3af1b711b155e9bde45c136c021d40127139)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 99369834b06dcacef2879db2c7cb21ecc37942b7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 30 18:10:31 2015 +0100

    Contribs: update libshout to 2.4.1
    
    (cherry picked from commit 8382c7056e2c67a2b70983b4f54bd0cb3baff7a5)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e5bdad48c6e77cbae49f68eab6ac11d7d59ce773
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 30 17:53:04 2015 +0100

    Contribs: update Opus to 1.1.1
    
    (cherry picked from commit ef7b67032e5bc2603b7c752dff5d40593e8aff10)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 26a97159739b76f10a161df9f6a20af1f0887d28
Author: Rafael Waldo Delgado Doblas <lord.rafa@gmail.com>
Date:   Sun Nov 15 20:56:15 2015 +0000

    vlsub: fixing regex to open files on root folder or without name (ie. http).
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 572937058d0fef09880ac2d7f90e5e1628da91bd)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d1a8ead166bfbadddebf6ff379d3d4f57e260965
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Mon Nov 23 09:31:46 2015 +0200

    Fix leak in error path
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit d9a8f8cd91064ca27c035094952983f2df510096)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ab894eeee8cc7e20b7383b60afd42e54d1093ecb
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Nov 25 14:47:37 2015 +0200

    avcodec: fix PGS timestamps
    
    Display time is not pts of the last block.
    avcodec returns decoded subtitle with the correct timestamp.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 9fc361dea16db17f3220974d9b68f1af955b236a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 116381a087691a545c870570d70f4f551c130307
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 24 16:29:48 2015 +0100

    libvlc: raise a title changed event if the title changes
    
    (cherry picked from commit 0584253f87bd897237744e9c18623a9465d922a6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b75cb597797c0334f65115c2666e8ae095c434de
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Mon Nov 30 20:15:50 2015 +0100

    macosx: CAS: Fix 2 more label l10n with missing outlets
    
    Manual backport of bfcbe0a5eb6ff7ee305e9cfc25a19cfb508e15a6.

commit 164c0d3783dc2153d2669f822d604bcf30271365
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Mon Nov 30 19:53:30 2015 +0100

    macosx: CAS: Fix some l10n of stream panel
    
    manually backported from 1ef87d326e95b6640e9079dd4cd04dca721e2663.

commit 3eea99edbf3141c6c67b1162d44dc2fdc6e654f2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Nov 30 18:42:22 2015 +0100

    Revert 'libvlc media list player: attach observer after player instance creation' (closes #15982)
    
    This commit is intended for the 3.0 branch of libvlc only and does not respect the playlist life time model deployed within the 2.2 timeline

commit b6b38102e3c03337191ca4aee8ac9ff8da11e1ae
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Nov 30 11:59:04 2015 +0100

    Revert 'contrib/ffmpeg: disable videotoolbox decoder since we have our own'
    
    This reverts commit ecbf8dd0585fcaca558859e85e9df7447f9eda28.
    
    The currently deployed ffmpeg hash doesn't have that configure option.

commit 6f94249aca3dce44cc93dcc3e83ea5b23b046346
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Mon Sep 15 16:50:36 2014 +0200

    zvbi: return actual last visible row
    
    Currently in most cases the row after the last is returned.
    When the last row is visible vbi_draw_vt_page_region() could
    crash, because it went over the size of p_page.text and use
    invalid values (>=40) as index for p_page.color_map.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 59c8ec8a549dbd9b626128024d16fb2017683ff0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b98069fbfea8773b1245ce29803cb5b06d8d0359
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 25 02:50:10 2015 +0100

    youtube.lua: handle multiline statements in signature descrambling javascript
    
    Join such statements into a single line, as it breaks our line-based
    parsing when one of our statements of interest gets split
    
    (cherry picked from commit 71b243f49fa89807adb30e84d026a0318200ccdc)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit c77a2819f3bbe7833cfb6b4ed52cfc8d2db9c5f3
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 24 16:48:37 2015 +0100

    lua-http: XML encode metadata before pushing it on the page (closes #15866)
    
    (cherry picked from commit a6b0ddeab8a3c8420b584d086fcae4b96bb85abe)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 110d734f81180a2749fe0730e796f44067f4017e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 23 22:27:04 2015 +0100

    Qt: fix EventId collisions
    
    Ref #14885 #14166 #14162 #14442
    
    (cherry picked from commit 2530f6a54b07995eea0aaaaec6abcd76fb564b79)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9364d91d2c94aee452ad96563d195ea92121acfd
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 23 19:52:16 2015 +0100

    Qt, playlist: simplify
    
    Ref #11707

commit c4012f7d01c149ec2647d81b72a8e71b385e28c9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 4 10:51:09 2015 +0100

    Contribs: correctly clean the libbluray jar when rebuilding
    
    (cherry picked from commit 8521a85af958f1c40b5c3aad8da33c94412db7e0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7ca9f51a21c87845d60d8465a8e8da56dd99b403
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 4 14:29:45 2015 +0100

    Contribs: accept more toolchains for OS X
    
    (cherry picked from commit 7da16002e36da1bce6621602a9d8a622e096bb22)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fa35a450961e3e4fa376e6fd3a4c7895506342e9
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 5 16:08:47 2015 +0100

    Contribs: update dvbpsi to 1.3.0
    
    (cherry picked from commit 0ac74ba8d90824aa56da44f3de33a3be2f51fe6f)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 75a10cb64532097f4b28e8fb382f652e1b31f5d9
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 11 22:51:08 2015 +0100

    youtube.lua: properly search for signature descrambling helper object
    
    It is not anymore conveniently located before its use. Also, update look
    up of descrambling rules.
    
    (cherry picked from commit 0c48277273d776080c893154124fa3537dc6485f)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bd908d93cac78623e82a4d8cdfbf99d8b19e2edb
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 11 16:14:21 2015 +0100

    youtube.lua: helper to extract signature descrambling javascript code
    
    (cherry picked from commit 8074c41dc022bda1170fe4c4084bd37f17ddbba2)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 239d5c98969f5b31c27aa401a06d1efaebdcd1e0
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Nov 11 14:17:58 2015 +0100

    youtube.lua: buffering iterator for signature descrambling javascript
    
    (cherry picked from commit f87f4539698430ceef75d7becb08f83125b3f869)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1fbb60a2b25e265a4ef3681090c7256971857fc0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 16 15:04:28 2015 +0100

    Contribs: update PNG to 1.6.19
    
    CVE-2015-7981 and CVE-2015-8126
    
    (cherry picked from commit c3b4e38d181709d63882b404e3882f243a2a74a1)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 945cf175155793c852fddb30e723d0c6218e4f20
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Nov 18 10:55:07 2015 +0100

    demux: avformat: fix double free with io buffer (fix #15903)
    
    As mentioned by documentation
    "It may be freed and replaced with a new buffer by libavformat."
    " AVIOContext.buffer holds the buffer currently in use"
    
    (cherry picked from commit 51bbaf06e0510ea921890158992e39af5a7b6f42)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 97cad1a33a26b3c2a54b66685fe76e427478c9ab
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Wed Nov 18 09:59:25 2015 +0200

    bluray: fix current chapter
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 326b1d971b94b66c7c2535155ac13fae666752f5)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cbe7a3901f3140633f071f1b8f70093026e1fc99
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Nov 21 20:46:38 2015 +0200

    Fix return value after items hand-over via MPRIS (fixes 15947)
    
    (cherry picked from commit e1aaa1e07b97f17603a4873d7ca4829b25f84239)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 64a8477ef8d188d00b503007f4c47e6ff595585e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Apr 8 16:35:22 2015 +0200

    mux: mp4: missing MP3 codec
    
    (cherry picked from commit 1c2ea1e8cd10fb4a7c3580fbf51aeea46ac10d7c)
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>

commit 096c37f083dd99d5d76aa4eaeb53e34badd39368
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Nov 22 16:27:56 2015 +0100

    NEWS: Mention El Capitan support

commit 0c43c552be553360a09c117071b9eb22d4cfe415
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Nov 16 21:57:41 2015 +0200

    vdpau: fix function pointers array size
    
    (cherry picked from commit 16c14ccedc8fe1f729517624784e38854bbf0eb7)

commit 64dccb0fdd71075e37e03c4b52a0c9f5bb749d3f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Nov 16 14:54:35 2015 +0100

    Configure: Refuse Qt 5.5.0 and 5.5.1
    
    If you are a packager, I'm sorry for you, but you MUST patch Qt5.5 with
    https://codereview.qt-project.org/#/c/139066/1
    and then revert this commit.
    You can also lobby for a Qt5.5.2

commit b4235ae00b267306f3ed01dcf1e0305ed7b9e7ba
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 15 01:30:56 2015 +0100

    extras/tools: update ant
    
    (cherry picked from commit 6e31fe928e37c856886723ceff3241ba8fbe53e3)

commit 457f298b1c982495cf1a7801f1c0570ce70fdc44
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 26 11:02:12 2015 +0100

    contrib/matroska: fix sha1 line style
    
    (cherry picked from commit 3eb40a03a755809c982a1034587c6dfb38c5d262)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 863a4259336594469436fa072f7277e4924721f5
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Thu Nov 5 12:35:21 2015 +0100

    libvlc: don't release media_list while it's used by media
    
    Indeed, events callbacks can access the media_list.
    
    (cherry picked from commit 860f831fc1ee17caca4225e40bb78fc5b8964dc7)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1e9acbe74b219dfc6d0207c0504f19189ace9061
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Tue Nov 3 20:21:47 2015 -0500

    contrib: update gettext to 0.19.6
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 801941266d0c8a80309203ce10db7e07c407d30c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d9ff5cb59eefc0e220a8a84b1d8c6a5da0e4c0a3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Nov 4 08:58:02 2015 +0100

    Contribs: update libbluray to 0.9.1
    
    (cherry picked from commit ca90a8297679846861b57bb3706c639456575382)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 24ed484bf41d503e27b367ee683b47212f773677
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 26 00:14:16 2015 +0100

    Contribs: update Freetype to 2.6.1
    
    (cherry picked from commit 5797f212a80d3bbd40bf51a3a10f47d1ac8b7974)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b6c8d7d458713bc0c46864e41e7841f73486ae04
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Oct 26 00:12:46 2015 +0100

    Contribs: update Fribidi to 0.9.17
    
    (cherry picked from commit 325b31f6e88b82f403c10a4bf1e3cd6a8a9bc52a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0e3bd6e7a2b3f84de63760ceccec411783e4cc1d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 25 23:52:28 2015 +0100

    Contribs: update harfbuzz to 1.0.6
    
    (cherry picked from commit 24ea755b798ddaf3633c388f73c053d53b9a2ce9)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 24b35656ebef0aae52b280baf78ef7b5e64dbeb9
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Fri Oct 30 18:18:01 2015 +0100

    avformat: fix incorrect log
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 84e2d1d74793a4cd5051cf8396daeeee2aea2db0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a09ae71be5904ed77ab6d740ae153c8b6b45c4f0
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Fri Oct 30 05:44:51 2015 +0100

    vimeo.lua: fix video quality selection
    
    Fixes #15778
    
    (cherry picked from commit 02a9d0876614d0b882a5dba3cb1ea4701becda7f)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6b18649216bce518b4496d3004f1a0cd1af27ca2
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Thu Oct 29 03:40:39 2015 +0100

    youtube.lua: don't downgrade from HTTPS to HTTP
    
    This can be a security leak. This works as far as vlc.access is
    accurate.
    
    (cherry picked from commit b20f17a5a722c176287efedd691d1354cbb649b5)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e2e42e74f013a93039e47140d7fbc59a68aaab27
Author: Shlomi Fish <shlomif@shlomifish.org>
Date:   Wed Oct 28 22:36:38 2015 +0100

    lua: fix HTTP loadstring in lua 5.2+
    
    Close #14988
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 58ad6be8c45f8c9586861c6d622097e1bc945df6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e938f21ccaa8a5f842351eebaa0f8c635d72c7e8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 29 10:50:11 2015 +0100

    Qt: fix compilation with qt4

commit 18875c3c160e69b47ebf0a36288c8ef5d9b6090d
Author: Valter Correia <valtergcorreia@ua.pt>
Date:   Tue Oct 27 22:45:55 2015 +0000

    Qt: fix enter event in addons manager
    
    Hitting ENTER in addon manager search field no longer makes tab content disappear
    
    Closes #15162, #14553
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 167830d4c39b773ad28f591d2e4ecb66d43022b8)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6188f948579e34e0f7d39e37db49e9a0447ac430
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 28 11:09:37 2015 +0100

    tools: update xz
    
    (cherry picked from commit 4e38dcb0fae8db06d0074db42b48aece47403e8b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8726b8cf974cfdff83150261578832329d2e48a7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 27 23:09:31 2015 +0100

    Contribs: we want a pure harfbuzz :)
    
    (cherry picked from commit f6669c9142a99b193589f5544a3552588fa4d505)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 04a4b857d2e67d4a26480ec8eb9d0f55faa0f067
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 26 11:38:11 2015 +0100

    contrib/freetype: fix compilation on Darwin
    
    (cherry picked from commit a2ee2cdd79a8982661b8235448d5d1e7adf7ed67)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 70546db24941bf28051e6ada69ad0419ae1c0cda
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Oct 27 17:31:38 2015 +0200

    alsa: fix invalid free
    
    (cherry picked from commit 7b2088351a6074ee1f8574d606ff34e0e7d998fb)

commit 35f355ccf5386cb09e644cfa76b4e7c921c1c90b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 25 22:10:42 2015 +0100

    QuartText: fix { } balance

commit 0cc92eb1243876e6ab2c9b04fafb043f3b8073e4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 21 21:14:16 2015 +0300

    vout: fix use-after-free, wait on correct date
    
    The mwait() call dereferenced a potentially no longer referenced picture
    (if the display was filtered).
    
    (cherry picked from commit dfefe47ff25ace43f1ac1fad7fa652c8b99eb1f6)

commit 729d28e766f37e166000c0c9d15c19138281b754
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Oct 23 22:46:26 2015 +0300

    qt5: unsubscribe disable motion and XI2 mouse events
    
    ╔═══════════════════════════╗
    ║ PARENTAL ADVISORY:   R-24 ║
    ║ EXPLICIT CONTENT          ║
    ║ INAPPROPRIATE KLUDGY HACK ║
    ╚═══════════════════════════╝
    
    This extends the existing kludge to catch mouse clicks in the video
    output instead of the Qt framework. From version 5.5, Qt uses XI2 to
    catch mouse events.
    
    May or may not interfere with touch devices.
    May or may not interfere with cursor changes.
    May or may not be forward compatible.
    
    (cherry picked from commit 4e55554c37e7c55586c41a5e9fc50f393167ac0b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 834443ab9e701e495f2ba363729a3592452a6135
Author: Marvin Scholz <epirat07@gmail.com>
Date:   Fri Oct 23 12:56:37 2015 +0200

    growl: Coalesce notifications
    
    Manual backport of a4488ead (refs #10386)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 458b41013f3d5ceaf3778b62ae9aa1e33b4aa7e1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 23 11:34:53 2015 +0200

    Contribs: fix sha512 tools
    
    It seems not all sha512sum are equal
    
    (cherry picked from commit 16742c47904f7d2560a6299a358b58ab47494c1d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ac209cbe52404e53d215cc2aa524ff3d27d8aff9
Author: Alexander Law <exclusion@gmail.com>
Date:   Fri Oct 23 11:22:54 2015 +0200

    "Post processing" menu item is not localizable
    
    (cherry picked from commit e6c801c54a90ec3c40e1dd2cd6f5e54d3f132eb8)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 20e37e1b208ee6d86626539060114328a6d85ad1
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Fri Oct 23 08:38:51 2015 +0200

    Contrib: update libebml & libmatroska to fix TALOS-CAN-0036 and TALOS-CAN-0037
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit fafd1afc111e0251f477ad4ef7e703af6c2e5d13)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 19a1780581a89a46d393df7e1976fba4c7debd46
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 22 17:56:46 2015 +0200

    Contribs: fix libass linking to iconv
    
    (cherry picked from commit ed96e803fc9b2be4e05a745d9f589b1e50c4e186)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit db7145b9aad2296cdb1661cad5bb92d6b98d565e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 21 23:38:39 2015 +0200

    Contribs: update ffmpeg/libav HASHes

commit a45232aaa5e4c6dbb762a77df2b712550ac2cfce
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Oct 21 22:58:00 2015 +0200

    Revert "update: avoid division by zero"
    
    This reverts commit eda813bdc0d1c20980ec978e92057d01227a0cbd.
    
    This cannot compile, sorry...

commit dcc4f9f918b9caf70ab973dee72204a3a5a85d24
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Oct 21 22:39:02 2015 +0200

    macosx: fix error message for media information panel
    
    not cherry picked from 10145e039042c1a15e92b47d7e88f1d632d9c6a1

commit d946714922e665f87d4495b08174103dc093a97b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 21 22:31:10 2015 +0200

    demux: mp4: reset current position context after failed read
    
    (cherry picked from commit 8e18ce4793067d2040aee50860ea6ee970301cb8)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit dc8baddd4470c7915ee7f83f4b71de086cfc51f9
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Mon Oct 5 11:58:59 2015 +0300

    contrib: update d3d11.idl checksum and patch
    
    Maybe it would be better to download specific revision instead of HEAD (?).
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 9c039ddb541709ac2dc9ac3ac35fc72e0299f21e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9f7783f7adc359ea7a51cd166215531f041dd7f0
Author: Rafaël Carré <funman@videolan.org>
Date:   Mon Aug 10 17:36:53 2015 +0200

    contrib: d3d11: checksum patched files
    
    (cherry picked from commit b23811f30f2f627fae4247b896c09e3777e128ac)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 44f025851cd94940fa560a09519a28058fbc102f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jun 17 20:59:05 2015 +0200

    Contribs: D3D, use wine headers when Xcompilign
    
    (cherry picked from commit bbf89a9fc7a3321894637be7588c34764464399b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit aa457ac0484dc3288b7c1fe5dc397a4cf136a996
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jun 17 20:56:56 2015 +0200

    Contrib: prefix widl tool
    
    (cherry picked from commit 764c24daa96c312c9fbc684bee919d9fdcbd36a3)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 994c11fb4c2d7c6af7b4e406d56fac72e95e7218
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 21 20:42:58 2015 +0300

    Qt: fix changing audio device
    
    Change the audio device when the corresponding action is triggered, not
    when it is modified... This completely broke ALSA playback.
    
    (cherry picked from commit 7ac70075128318c51bbc1c0190482642f7a9226c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e563b2afd5d8df191d4197a57a584e81e5654d01
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Oct 21 20:30:49 2015 +0300

    alsa: insert default choice if not in ALSA device hints
    
    This ensures that the default value ("default") for alsa-audio-device
    is listed as a possible choice.
    
    (cherry picked from commit 1d92fdf3e259b0f8d482b4a5534022cdc71fea16)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 78c3a6967a2970bc50f53e045f6fc7c98c18f29e
Author: Rafaël Carré <funman@videolan.org>
Date:   Tue Nov 25 12:54:29 2014 +0100

    contrib: flac: simplify .pc patching
    
    dependency on ogg is already specified
    
    (cherry picked from commit ea1c1c6198d1fbfa6d990ae6ac7653492fef41c6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5c57ebeea44a31c8a5ae648dc004787b4d0c4fd1
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Oct 20 17:01:39 2015 +0200

    playlist: Fetcher: Fix leak
    
    (cherry picked from commit f96d78321a3a26cf0f70a8677894a83a7adefe30)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e00d084d5d491afe33ef34178922d6a342a14600
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Sat Oct 17 17:40:13 2015 +0200

    contrib: update libmatroska to 1.4.3
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 690711f5f933d137771d3d21e6c0065a3067c0df)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 78b27a9ebc1225513a6b887d8f27b175f662ffd2
Author: Steve Lhomme <robux4@videolabs.io>
Date:   Sat Oct 17 17:40:12 2015 +0200

    contrib: update libebml to 1.3.2
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit c18ac66a08dd0ffb7aedd2b9c0a4c3af6a0a7a98)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bfbdaae8c81a1680b508059c6d0636ea7acf865b
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Oct 17 00:35:26 2015 +0200

    doc: install liveleak.lua sample script instead of soundcloud.lua
    
    soundcloud.lua is no longer the trivial example it was before
    
    (cherry picked from commit 18994ecded0c9d2ce72608f86fbd2cc7575cf238)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ef3a0af5c6887bb2f3b91d28d09e64efbb8eea40
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Oct 17 00:22:22 2015 +0200

    soundcloud.lua: rewrite for changes
    
    Complete rewrite due to website changes.
    
    Based on reverse engineering by Daniel Ekmann, thanks!
    
    (cherry picked from commit 98d7a343e3c19d455069762460841bef906fcc7c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3b697bb7829487c585b2306a89e993354379412b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Oct 9 14:18:57 2015 +0200

    gitignore: Be more lax with the build folders
    
    (cherry picked from commit 99fff2293b1084d205e427acc9cd72b44b79b5d0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a6cf2376d27132e567f7263c0b6931609e6a60ab
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Oct 7 14:05:46 2015 +0200

    demux: mp4: fix mvhd duration debug string
    
    (cherry picked from commit 9b166a16e32a87616223b8627902efd51652b31d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 48df071bcc09651d84e806042fa7d8668c2c78ef
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Oct 6 11:31:51 2015 +0200

    es_out: initialize video.i_visible_width/height
    
    (cherry picked from commit f7f1c524a9011c851d39d707e3b6bef433d38b75)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ecbf8dd0585fcaca558859e85e9df7447f9eda28
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 5 19:23:10 2015 +0200

    contrib/ffmpeg: disable videotoolbox decoder since we have our own
    
    (cherry picked from commit 7ddd72bf6eb3a9ef777183f50b6819b9cf8c5c97)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 143ce03f4f3af03ee119a3920e182bdfd5267282
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Oct 4 17:27:55 2015 +0200

    Contribs: update libbluray to 0.9.0
    
    (cherry picked from commit aa88324bb6f90c9688e605574dc166735865da8e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 819e16b47904d0781b722d7b8a80efd23da74409
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Aug 9 00:39:49 2015 +0300

    avformat: set stream time_base and not codec
    
    (cherry picked from commit 74e427d4b7d9bf5ccd9ceecc9b7937a4b3cbf372)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 55ef14884908570bc24900d949d26754504bb496
Author: Steve Lhomme <robux4@gmail.com>
Date:   Mon Sep 14 14:40:41 2015 +0200

    contrib: don't build the tests and doc for gnutls
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit ce4010f25cc5f2ac53e77322d6e2b749506aa97b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bb008ca656e1a12d8533509b6dcd78fb721262f2
Author: Steve Lhomme <robux4@gmail.com>
Date:   Fri Jul 31 16:54:54 2015 +0200

    contribs: only force ass optimizations when WITH_OPTIMIZATION is set
    
    otherwise bring the debug symbols
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit a214613109809f72d1bd4ed8ba21ef0e967645d9)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 133198d34b95c86164487412bf92ccbcd0f8f77e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Sep 10 13:40:26 2015 +0200

    libvlc media list player: attach observer after player instance creation
    
    (cherry picked from commit 6a23d2cd782096110fc32a074d1083a5452fa38b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 19a5c9c49e7b69b412afaad99bba86dab534ce37
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Thu Aug 27 16:18:26 2015 +0200

    aout: fix use after free
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit e0457843005da71bfa119f9c1e4bd023a4761fce)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e9e1340158edfc61a1425e897eec01b0bf1a1075
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Sep 7 23:15:36 2015 +0200

    demux: libmp4: fix oob access
    
    (cherry picked from commit 482a404fc64ae81256836f1a058c4c4eb5be236a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6b9014e314cfba2bb4734b29dc8e31b0198391b7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Sep 1 21:44:37 2015 +0300

    sdp: fix potential read overflow and get rid of info.i_pos
    
    (cherry picked from commit 111382936de269a7c51a05d9f86b943ecd84210b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a114b8a52d3bda0b71415a7f2058adf0a464ddfe
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Aug 31 22:52:49 2015 +0300

    smb: fix infinite loop on error
    
    (cherry picked from commit d1ffc88181749adc01015ca629ca8c2f561c876e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 50603d508b59a251e76b9ebdc2086a3b7d0e8ae7
Author: Kazuki Yamaguchi <k@rhe.jp>
Date:   Mon Aug 31 23:44:44 2015 +0900

    vcd: fix double free
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 5bf000648fb414c6c4ad98d6a69cf8a8b25a2ec5)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit eda813bdc0d1c20980ec978e92057d01227a0cbd
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Aug 31 20:11:52 2015 +0300

    update: avoid division by zero
    
    If the downloaded file is empty or of unknown size.
    
    (cherry picked from commit 145b05739d2dc9607ead4ef8244ba2172d97b389)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bc0e933289b8efd6ef435f034cea599cc835171e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Aug 31 19:02:50 2015 +0300

    au: fix integer overflow
    
    Header size can reach UINT32_MAX.
    
    (cherry picked from commit af8f9bb6f5ad117fe73c9e5e523944cc942528df)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f4aa31f77a67cfd159ed38e8116fb3e3c7e0ab38
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Aug 31 18:34:01 2015 +0300

    gvfs: fix initial file size check
    
    (cherry picked from commit 68dcab3d6ebf923e69b298d988703e500b9fc04c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5dbb18c00dc656ac1b5e8b170eabe8bc58402af1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Aug 29 15:25:17 2015 +0300

    vout: fix leak
    
    (cherry picked from commit 5b77eea208073723451c1515bb01490292216c0f)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 41503d6994ae0cd27a7564ba66e76a5d90adf332
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Aug 28 21:37:17 2015 +0300

    avformat: fix heap read overflow and invalid cast
    
    avformat needs nul padding after the probe data.
    
    (cherry picked from commit 48a017006cc038c9783bccfc1d56f9ec2070fa54)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1bfd952f6295056240e0e2337f43807d95737732
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Aug 28 21:35:00 2015 +0300

    avformat: fix NULL dereference
    
    (cherry picked from commit 13ba7e5ea4524b029e30e526281b21aa7f75ab49)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a4e44164665db05a55139623cb7834758703289c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Aug 27 21:06:47 2015 +0300

    live555: retain query while concealing credentials (fixes #15365)
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 0e4ff2698dfa0144a25d162a562603fda08412fa)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 51a401399abda225070b723f5e32ebc5c70b70c8
Author: Kaarlo Räihä <kaarlo.raiha@gmail.com>
Date:   Sat Aug 22 13:57:48 2015 +0300

    Limit sigma range in gaussian blur
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit a0dbb73f7678c697803741516c091dc843e5a67e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 03a2fd67c15a8a5c5e1686752a298416f7e32d37
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Thu Aug 27 16:18:24 2015 +0200

    Qt: fix memory leak
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 5a04c819b287918876c1b9f0f68753003ed8faa1)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3d46f2ea44e36a3c78d363c5139c7086c5d42362
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Thu Aug 27 16:18:22 2015 +0200

    avformat: fix memory leak
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 97020e0c02ee7b0e049bf6cfdf4574487948f84b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 04928e30804592dc68f2ad58082a1e3288be4415
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Aug 23 10:33:50 2015 +0300

    speex: avoid unsigned->signed->unsigned conversion (CID #1048968)
    
    (cherry picked from commit cb267c8052444a1f14e903203ad7da9e5b8df1d9)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fcf65db177682ea042bf69997643b66628bfc2d1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Aug 22 10:46:17 2015 +0300

    taglib: fix memory leak
    
    (cherry picked from commit 18a676c9e06fa1407b525b3c2337ada788aa06e8)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 412806b14a3dcc9c3652f7647df9296c86e78473
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Aug 21 20:07:49 2015 +0300

    ncurses: fix NULL deref
    
    in empty directory
    
    (cherry picked from commit a3b0202259c36a225a472bad207599dcfe028c92)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c6d45ea9e570f20c3aa16d72cf2423b463063124
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Aug 21 20:01:47 2015 +0300

    caf: fix error handling / integer overflow
    
    (cherry picked from commit de1b8bc4993780e2b92ee4b1e4ff27c9f3831dc6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9b60d9b66e8220b86381e3b613f4873f8a9b8533
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Aug 21 19:51:41 2015 +0300

    sftp: do not close(-1)
    
    (cherry picked from commit 5a13c1fec1d8350d17b0d7999516383ab2a68238)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1f3c422a7f71e23bafc28c61ddade9ce1f52e197
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Aug 21 19:46:09 2015 +0300

    alsa: fix potentially uninitialized value
    
    (cherry picked from commit 81a081661a25bddbc74161a4fbcc87cf2aaaaeef)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6c9db1f8e848e00d927acef356155cc07221e9ae
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Aug 15 13:19:39 2015 +0300

    input: fix check for unnamed attachment, potential read overflow
    
    Pointed-out-by: <hugh1234@mail.ustc.edu.cn>
    (cherry picked from commit 12c11c31d9e791060f541eb5ca42c20f4c130ceb)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 420c42512a9ce56bbf788e63e0ba070afcf3968b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Aug 10 23:18:55 2015 +0200

    Qt: fix NULL dereference on undescribed string var
    
    (cherry picked from commit b5acac3bf0bce5e0d07a1cbe3e70ecd84dd05d84)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8aaa7db079876c6560b7f3ba07da7261b3afdeef
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Aug 11 02:21:15 2015 +0200

    codec: cc: add missing module category
    
    (cherry picked from commit 4dec56b69c1ca462051430987063c94bd44bb97b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f0d7d184abb022ff2ce3401bad224946fb466cdc
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Aug 9 00:36:52 2015 +0300

    avcodec: refactor frame_rate probing into own function
    
    if codec has list of supported framerates, select highest one
    unless user has provided one. If we end up using CLOCK_FREQ in
    time_base, it should be quite ok in most cases. Tested with ts/mp4/webm
    and mp2v/mp4v/VP80. For some cases it can select higher fps in
    mpeg-codecs (60fps) in case of input fps isn't yet known in that point
    or is fubared.
    
    Also add special case for MP4V as it doesn't like CLOCK_FREQ in
    time_base/frame_rates.
    
    (cherry picked from commit 3068a8495639f4bada2f0f9bb9ed9e7daf73d540)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2295506e13f2d4eb8d5dad1393a91d5d6df56834
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Aug 5 22:08:22 2015 +0200

    l10n: fr: fix reversed meaning
    
    (cherry picked from commit cb2293a5d978e44d678f8e00c6c38151e136b7cf)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2fae134d881d63412b9fb39f18fc94daa34d2d18
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Sat Aug 1 09:31:03 2015 -0400

    twolame: use RECONF
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 0ebac9dc833b9c4e667db44db452c2de0ddc7583)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 05f32efdfd165d6e3e42880cfbd96e8b00cdc866
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Fri Jul 24 16:59:51 2015 +0200

    Qt: fix uninitialized members
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit c5664c66c44f1081f80db06895b2fc8f6246b04e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 46d89811bcf0266ca83b7319dd399b903da55e32
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Mon Jul 27 12:02:22 2015 -0400

    twolame: remove extra header download
    
    The changes have already been merged into 0.3.13.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 130da2a0256bc032a7f96d446f72a69d5d33867d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4b2099b13f8018347ca0c054580b76bebab5b20a
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Tue Jul 28 18:12:27 2015 +0200

    avcodec: fix memory leak
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 7a06d63a3b8be54d7994d68b4ac7c9c05210a815)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e7c17306a63c646af1a53df4fbfb862ff7a47cd7
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Mon Jul 27 17:18:24 2015 +0200

    aout: fix aout_CheckChannelExtraction return value
    
    This function returns true if channel extraction is needed.
    
    If layouts are the same, channel extraction should be needed only if the number
    of channels is different.
    
    (cherry picked from commit d71d17755a1f8f196b22144fd1cb2f60ac619141)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2cdadbd93ab978327bcb9d4cc2f16faa1272ff1c
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Jul 26 18:06:50 2015 +0300

    input: fix NULL dereference with --demux ""
    
    (cherry picked from commit adcff8d401c223d0442c28d3246546e7cdef2630)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 12f5dd9afe7c49c4ba33dde26ee593cdad5a27f3
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Jul 24 16:02:38 2015 +0300

    mkv: use stream_Size()
    
    (cherry picked from commit ea01e45fd13730c9b9a6c1d11903edfb17251303)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0c225836002f1672adad9a983404ea44e09e1593
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Jul 23 22:39:34 2015 +0300

    gme: limit to 16 MiB if file size is unknown
    
    Allocating and reading 100 MiB at once for a remote file was a bit
    excessive IMHO.
    
    (cherry picked from commit 71d711709c8ad59b7468bc77ab1398ebdf9ff3d8)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9e88442ce4b0486436583815a884e70bb4fa3e99
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Jul 20 12:38:05 2015 +0200

    macosx: fix future HTTP access issues
    
    (cherry picked from commit aff23ff542b6cb330777b793f808408b0474a53e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 08fa6fa20c89bf9f45a718f21be8d6acf6bfefbc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Jul 17 16:56:02 2015 +0200

    DirectSound: meaningfull error messages
    
    (cherry picked from commit e710a62cdf09fe2f08da2bd9dbdd291e4ad1140b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9e493c8ea4653e66c3d234da9e49e6ce4fba42cf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jul 17 12:07:33 2015 +0200

    demux: don't map M3U to m3u8 extension (fix #15056)
    
    Can't tell if that's m3u8 or hls without probing. Thanks Apple.
    
    (cherry picked from commit b6afe6b4bb23889a6db8bd03e55629e609ac4270)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 81987901b362617968bff4423b9034cb55448877
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Tue Jul 7 19:22:00 2015 +0200

    Qt: fix memory leak
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit c5a36efc2bbcae2adc9016eda9a4530527de2e56)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0f13e8d16b5b7be99776b72ede9b189596b72af8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jul 15 08:51:05 2015 +0200

    Dshow: fix freeze
    
    Close #14278
    
    (cherry picked from commit a81cc9be43b5f2a6b3ecdb3b2850f28fd22a9a5e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c4ccf040b83ac83bf453ed7c5a26efdca2171a69
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Tue Jul 7 19:22:01 2015 +0200

    es_out: fix memory leak
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 3906a0a29f74cd2bc75cbfa7683d6e2b01b6e806)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 048ce633eb6ecbb2a6b5c169954ea52da93f2b9e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Jul 7 19:05:16 2015 +0300

    acoustid: remove superfluous checks
    
    (cherry picked from commit 8938474d84d6ec6141523326b6d85c9ae8ec7bcf)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6b19dc464b89ddfdf7626c0556145bfb9c8ad71a
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Fri Jul 3 14:33:20 2015 +0200

    Qt: fix memory leaks
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit c64f324d74f86aa478c805a96584ec8adfb0f16d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9f790ebdb9741b2ecbeca59270bd208b99466551
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Fri Jul 3 14:35:22 2015 +0200

    Qt: fix memory leaks
    
    (cherry picked from commit cc04815c5e5cd7996a2da36d2b785a520ad8b4cd)
    (cherry picked from commit 6dc0dc338b2b4962fa23f19dc35488eed896057c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8a7acb1e7424a0be03e01cde7ceaab6dc486c7c6
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Fri Jul 3 14:34:41 2015 +0200

    Qt: fix memory leak
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 98f1ae98a639f465b756fa881f873e9892e38964)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7b8c06a7b10283f9988d30320ee77bfd0ba213a5
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Fri Jul 3 13:09:02 2015 +0200

    Qt: fix memory leaks
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 27d4490a231f6260be2a5084cb04fa7ac403909c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5d099caff8a9978453e2294cd6860da0099f9636
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Thu Jul 2 19:02:17 2015 -0400

    contrib/ass: use correct ASFLAGS for yasm on Solaris
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 9ffab1842c77ffd8d524a975b0c4717c9e2ad453)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f453e0db3efbe0724dfb8ccadd19fb67405fc2f2
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Fri Jul 3 21:42:08 2015 +0200

    Qt: fix memory leaks
    
    QTreeWidgetItem::setData() doesn't take ownership
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 66c53a282536e79c5e3310279fb2cad88a54b7e5)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d1c15289b977e8507f4105a4aa76cfdaa827f379
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Fri Jul 3 14:34:01 2015 +0200

    Qt: fix memory leak
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 1637cd913030e5fccf5f5aad37ad0dc22588f8e3)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0c92770330556cd5b579ce4e38392b8f32d82018
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Fri Jul 3 14:32:28 2015 +0200

    Qt: fix memory leaks
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 4a0dd7a7e818ab5c7bdabfbb8ad04d77eea1b170)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c3850e1d336931e018fcb7ea7a8cfe49df3ee1bb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jul 1 15:52:38 2015 +0200

    Map G2M3 and G2M2
    
    Close #2327
    
    (cherry picked from commit 6d383e69f980e97a61aab57c98955119eb266b93)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit baa16ca4c818738c7f114d38c15c27c368330f90
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Jun 28 19:08:28 2015 +0300

    wasapi: use one-time init rather than DllMain()
    
    (cherry picked from commit 66302e2c16462072153ff85a621d83c0944a03dc)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a69f0715a2d9fd5322c5348b1fe75a65a9233ef8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Jun 29 10:13:58 2015 +0300

    v4l2: also print visible dimensions in the logs
    
    (cherry picked from commit 4e5b9f75913c0d9c494f0cbe11c7ba39fd8ba2e7)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4a6d40655336027aa0c84adf6ea9540ddaf7e8f6
Author: Jan Ekström <jeebjp@gmail.com>
Date:   Thu Jun 25 01:54:19 2015 +0300

    avformat mux: use visible width/height for muxing
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 25987fd3bb07323b8ce6a31626413f8a42b6b479)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d0c37c2e94f0a473613b4463b3e2755f998f28cd
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jun 23 13:05:59 2015 +0200

    contrib/sidplay: fix openmode patch
    
    _Ios_Openmode is an implementation detail of the GNU c++ stdlib whereas ios_base::openmode is the portable way to go
    
    (cherry picked from commit 56b775d94fa351d797784f7f67a4bc78019111e9)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 601c5502d2db7a6162f5c805412e0ded3c1311b6
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Jun 11 19:25:39 2015 +0200

    lua readme: mention state as second parameter for add_check_box
    
    (cherry picked from commit 377bab66f9721a22a9c1bb82acd84cd71db45b14)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3f83ba420115791e3db107e5f20bf44c60f88665
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Jun 8 12:44:05 2015 +0200

    demux: mp4: don't create twice track on restart
    
    (cherry picked from commit f6d41e3d5bb57be3fde6648f98c95a410a925c26)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f71237661a2f273c231f88ef2983fc0b40ad8985
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Jun 8 12:53:26 2015 +0200

    demux: mp4: reset stream position on late open failure
    
    (cherry picked from commit a86345842d0aa2c942c5001ef5125b724a313f39)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d86a7e5df06cb6fed3c8826a6c61cdb03c95df43
Author: Felix Abecassis <felix.abecassis@gmail.com>
Date:   Fri May 22 15:32:39 2015 -0400

    sharpen: help compiler auto-vectorization
    
    Refs #9458
    
    Signed-off-by: Tristan Matthews <tmatth@videolan.org>
    (cherry picked from commit 32466e668505f25097e2811a563a19d16de5fbb7)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2a3d52d41c2394227bc0ee121c8119db009ef829
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue May 19 23:28:26 2015 +0200

    Add wMP4 fourCC for Mp4v
    
    (cherry picked from commit 71a05464a46c70c6bd64b2119a193c65ca201689)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 071c083475a5e9119654f937e09548093d10f22d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue May 19 23:25:03 2015 +0200

    Add wIVG as MJPEG fourcc
    
    (cherry picked from commit ebee486e9bd8beb70108dd4982c937dbbdcd5e8c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 10dac28ad71510549bae0c131a1206ea0a0d2950
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun May 17 20:47:39 2015 +0300

    screen/win32: set sample A/R
    
    (cherry picked from commit a90029df633f04c94b5b50242dcf28cde20470ff)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f3686e65a98a496f638e3822717b48c1d1800706
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat May 16 23:27:02 2015 +0300

    mkv: remove incorrect use of N_()
    
    (cherry picked from commit 3d94da0dbd0c468c493ae8d9c8f0b993d65da3b0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c590de7c4d409772a0cd9a839d567060aa3d660f
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Wed May 13 13:45:11 2015 -0400

    wmadec: drop M_PI define
    
    (cherry picked from commit cdcd6c1108ef776ecc5880217ca739ed5d3a95dc)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2e8cba3db74f8dbd3fb76f175ac83dba8ba93780
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun May 10 19:58:18 2015 +0300

    sap: call recv() directly
    
    net_Read() is identical to recv() outside the input thread and if
    waitall is false.
    
    (cherry picked from commit f9c35694825e05d1f1da6f44d40d2554cb593aa4)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4aa44a18917472dad00ce4fe5272fe472baa9947
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Oct 13 15:22:50 2015 +0200

    ass: auto-detect font-provider
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 2403e0ea5b0622278f297fa86ac8b949d9aa8b10
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Oct 8 15:25:31 2015 +0200

    Contribs: libass, fix compilation on broken OSes
    
    (cherry picked from commit 54cb2afdd1d3887775edb435bcd52a7e6a9d693d)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit a1c5b06c166d06b76554c518363d582e8412ae27
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Oct 6 16:05:14 2015 +0200

    Contribs: Update libass to 0.13.0
    
    (cherry picked from commit 6b261fd6577d980b85d1ad33b5d01e76c9b888e8)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 5a71de0e1c308a024cab89abd2445f1b05da1006
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Fri Oct 9 20:48:17 2015 +0300

    livehttp: use ChainLastAppend and remove ChainGather to gain speed
    
    ChainGather in this case would make high amount of small memcopies which
    kill performance quite nicely. Also ChainAppend would seek long list of
    blocks everytime.
    
    This basicly reverts 609a5fe2b4cdd2cca8bdd99e917ddd4d377bc6e6 and adds
    ChainLastAppend. Overall speeding up livehttp-output quite a lot.
    
    Reported-by: JEEB
    (cherry picked from commit 9bd13e067daa2c938faed1504006d4f5654a8687)
    Signed-off-by: Ilkka Ollakka <ileoo@videolan.org>

commit e796bcef22647c958a87812fa1c3881dbb69f728
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Aug 9 00:37:50 2015 +0300

    avcodec: scale pts values to libavcodec scale
    
    Otherwise bitrate control is quite fobar.
    
    Fixes #11538
    
    Pointed out by Sesse
    
    (cherry picked from commit 5a867c6dd48938ae7a2f3f156656351d0c2e8768)
    Signed-off-by: Ilkka Ollakka <ileoo@videolan.org>

commit 92d60aadef1787e209e6c8c05969ae53c2d8d01f
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Sun Aug 9 23:54:31 2015 +0300

    avcodec: use framerate as time_base seems to be debrecated in 0.56
    
    Libav/ffmpeg seems to store littlebit different values in framerate, so
    there is #if to check that. Not sure if it's good idea at all to do that
    like this.
    
    (cherry picked from commit 302f74f91bf596169cb9164adb2ede891d0c98b8)
    Signed-off-by: Ilkka Ollakka <ileoo@videolan.org>

commit 1b2daef13663d1a72f97e6b78d783b5810094be1
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Oct 10 16:58:01 2015 +0200

    macosx: disable native fullscreen on El Capitan
    
    Native fullscreen seems to be on by default on El Capitan, even
    if the corresponding flag is not set.
    This implicitely disables the new split view feature if native
    fullscreen is disabled.
    
    close #15491
    
    (cherry picked from commit e4ea3a00f704337a6a126362433a19c6f22e833f)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 51f8a368584c3dc33208d0f23a7486f5bf4e0b3a
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Oct 10 16:54:34 2015 +0200

    macosx: Introduce OSX_EL_CAPITAN runtime check
    
    (cherry picked from commit 50dcfe2ac56e9f4e8c98f1cd64076047a20ea83e)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 360f42e65974a1e227bbaaadd83679b6ec70283e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Sep 28 16:09:57 2015 +0200

    macosx: fix resizing issue when updating lua extension dialogs (close #14457)

commit 5232e12c88b03403e8f0dd4f69f1ee4e98eda8a1
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Sep 23 22:04:18 2015 +0200

    Update NEWS

commit a230056b338d2739f09a87d2542596a80080405c
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed Sep 23 21:49:40 2015 +0200

    auhal: do not add long latency to time_get callback
    
    Currently, the VLC code cannot cope with big audio device
    latencies as reported by airplay devices. Thus disable the
    latency calculation for those devices for now.
    
    refs #14042
    
    (cherry picked from commit 6f54a7591c7a257cc5cb53c0c03e47e974faa279)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 8aafb5d01dcffdd4ba161c07bbb102f0a608951e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Sep 22 15:31:52 2015 +0200

    demux: asf: ignore pts when no delta specified (fix #15090)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0f38260842b100a6834a90f49aeabae298840215
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Sep 20 19:26:22 2015 +0200

    macosx: squeeze preferences pane a bit to make it fit on 720p screens
    
    This squeezes the checkboxes in the interface section of prefs a
    bit, to fix problem in refs #14504. For the future, we should
    consider removing some of these check boxes (or move them over to
    the video tab).

commit 52a0b27e320f2dea61a97d052d9ead435db59436
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 16 12:02:27 2014 +0000

    swscale: fix memory corruption when i_extend_factor != 1
    
    This led to a random crash when resizing video on a small display (or when
    resizing small video).
    
    close #14005
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 868f5b89056218030b690621e89ca97b46635f6c)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 31f98d138480858800826067788df2aac25be998
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Sep 9 17:08:11 2015 +0200

    macosx: update code-signing script for the future
    
    (cherry picked from commit 560eedbab4479ca6e0975762315f95981ba60d42)

commit 0d2f10a01441fba8f835686581aa5284f0bac253
Author: Steve Lhomme <robux4@gmail.com>
Date:   Tue Sep 8 16:39:43 2015 +0200

    direct3d/directx: the surface allocated for the pool needs to have the decoder size
    
    in the case of direct rendering picture_CopyPixels is used to transfer from
    the decoder to the display and requires the same surface properties
    
    the planes now have the same lines/pixels as the decoder, not just the visible ones
    
    fixes #14531
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 479bc999e204f03299df69a5a04977ce1e0a6267
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Tue Sep 8 13:46:54 2015 +0200

    skins2(Linux): fix fullscreen for some Window Managers like Gnome3
    
       Some Window Managers (Gnome3, Unity) will keep the task bar displayed
       and limit the fullscreen display to the subarea outside the task bar
       if the window type is not set.
       Setting the Window type to normal ensures a clean 100% fullscreen.
    
       This fixes an issue reported on the forum at
       https://forum.videolan.org/viewtopic.php?f=13&t=127840
    
    (cherry picked from commit 51e41b79f4849934b32d19cba21e7185d35f9f9d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6b4032a04e6440daeb4ef6dc65ff12d681787403
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Sep 1 20:37:55 2015 +0300

    configure: reject libavutil >= 55

commit 20e0f73e8e94785cd464a1bf50fc06d789cea619
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Mon Aug 31 16:01:25 2015 -0400

    access: dvdnav: add additional version checking
    
    Fixes #15357
    
    (cherry picked from commit fc253a4ed78470f609049374e901fbf4e6ea286a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit aed07eeb274c17e8d6d45b4bf2ad4c8e2f1031dd
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Aug 31 13:53:54 2015 +0200

    httplive: fix stack overflow
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 700a3635ae021c64440fb77c97f2162d35b3b004
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Aug 24 15:15:41 2015 +0200

    GnuTLS: fix building with GnuTLS < 3.3.0
    
    (cherry picked from commit 3f6ed9317f9057bab1c22f69d7cbb1a1362c7b2d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3e3504bf67afc59f804d76330ea84b04a8cb0190
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Aug 23 20:02:58 2015 +0300

    pulse: timing info can be NULL, deal with it
    
    (cherry picked from commit c00c298601174cbe271fbc16e34b9f77b584fb63)

commit 70387a798477072bac5798916b6324d72454fa46
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Aug 23 13:18:05 2015 +0300

    gnutls: generate Diffie-Hellman parameters dynamically (fixes #14702)
    
    (cherry picked from commit cafbe261a0863505587c17ead6c69e5222d35b4a)

commit b185aad11dc2f5ed31e65916e3eedcbf29c1d61f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Aug 23 12:46:44 2015 +0300

    libvlc: return useful/visible video dimensions (fixes #15122)
    
    (cherry picked from commit 5f000e6ac6154f0f30f376adc5595aeaec876da4)

commit 790c706d9f90358628b18b346b0cea74efd80aec
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Aug 22 12:21:35 2015 +0300

    pulse: compute latency correctly if negative (fixes #15046)
    
    This occurs in case of large buffer underflow, such as if stopping the
    VLC process.
    
    (cherry picked from commit 887bda11d23665416bd9403151ad1acced68b267)

commit f849a36c161e59b28063f522d3c7b8a3e602233a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Aug 22 12:16:45 2015 +0300

    pulse: fix race in TimeGet()
    
    Cork state could change asynchronously without the PA lock.
    
    (cherry picked from commit 88655e00d0d90459b37ad1684dd7686c743ee4a7)

commit ce91452460a75d7424b165c4dc8db98114c3cbd9
Author: Francois Cartegnie <fcartegnie@free.fr>
Date:   Mon Aug 3 15:17:32 2015 +0200

    demux: mp4: correctly match release function
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9e12195d3e4316278af1fa4bcb6a705ff27456fd
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Jul 26 22:47:38 2015 +0200

    macosx: rebuild plugins cache for bundle creation
    
    The build-dir plugin cache is incomplete and contains wrong paths.
    
    (cherry picked from commit 5d6b149ffbe60541e3be9e14417dde21f315868a)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 88edd8acbde1ca78587fc6e6dd33f316d76a99b8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Jul 30 00:14:25 2015 +0200

    libVLC: add registeration of the new events

commit fcde633ddc64108ace91849e7c57598612b8abfa
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jul 27 15:47:49 2015 +0200

    Update NEWS for libvlc

commit 8c86b9073b697ec9e403143366416d59884c8073
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Jul 27 14:05:37 2015 +0300

    libvlc: expose event for audio volume change (fixes #14568)
    
    Cc: Harald Sitter <sitter@kde.org>
    (cherry picked from commit 33638b85834a52e59f8cd25e51f0fa22d03d475e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0efcbbc983e167a1b7ccd8594653af1758824565
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Jul 27 14:00:08 2015 +0300

    libvlc: expose events for the audio mute status (refs #14568)
    
    Cc: Harald Sitter <sitter@kde.org>
    (cherry picked from commit 2f3c3ca8c604f50ca9ae7da4487c73a70a75d82c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 435215d39000c40c441cc91c906a01a5d93b1490
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Jul 27 13:42:38 2015 +0300

    libvlc: add corked and uncorked events (fixes #14444)
    
    This exposes (audio) policy cork events to LibVLC applications. The
    intended usage is for applications to pause/resume playback.
    
    We decided against pausing and resuming automatically as it would most
    likely confuse the playback state machine of existing applications. By
    default, the OS decides might either mute or duck the audio stream.
    
    Cc: Harald Sitter <sitter@kde.org>
    (cherry picked from commit 32bf025b29cd796ff2140423d2309b3375fbea56)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit dc7df12f39781ca8f5840cd1a6af9b368f9410fd
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Jul 26 15:34:29 2015 +0200

    macosx: fix runtime exception when loading the simple prefs with the Punjabi locale active (closes #15106)
    
    Manual backport of 342acefa

commit 82909c9e0e4472127faf5b52aa7fd39d00805221
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Jul 25 16:12:04 2015 +0200

    cachegen: always enforce full cache regeneration on Darwin (refs #14519)

commit bad49508215d6e3728c40779d65750c85b5c7dc8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Jul 25 15:36:20 2015 +0200

    plugin cache: do not re-write the cache file unless explicitly requested by the user (closes #14519)
    
    This is a manual adaptation of 0c400688 limited to Darwin platforms to not break compatibility with previous 2.2 release on other platforms relying on the previous behavior

commit 986af797ce4e26857767d0f52d738411e24d7544
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Jul 25 15:34:57 2015 +0200

    macosx: distribute the plugin cache created at build time (refs #14519)
    
    (cherry picked from commit 998d544adf773a1a8ac5528453c5583f5483d3e0)

commit 82912dec5426deeafa5a4436574e757a7b211582
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Jul 22 17:26:37 2015 +0200

    quartztext: add missing sanity checks
    
    (cherry picked from commit 1a923e14fb27a79b139dd4f838ba997b6383b982)

commit 2b7694d377fd80e76292335fd2483b25bb038281
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Jul 20 19:23:30 2015 +0200

    screen/mac: set frame rate (closes #14507 for 2.2)

commit 8ac02ba10312219b5571209f33ccb7454e581f00
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Jul 20 18:35:58 2015 +0200

    screen: set SAR values on Windows and Mac to match the XCB implementation (refs #14507)

commit 451fb8905311779be0871709e327ed0da6fcc34c
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Jul 11 15:00:24 2015 +0200

    Fix make dist and POTFILES.in
    
    (cherry picked from commit 39cafcda8b32a5b3a759ab1dd7dce50e25ed4596)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 3187904de00605a00ee41ad40aa7da65fa11a671
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Jul 11 15:25:26 2015 +0200

    macosx: remove stray code
    
    (cherry picked from commit 5aaaa2a35891a4ef1f95e0c677af47837270536a)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit addc6b0001c9dd16d674316f2856ac004d41faf3
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Jul 12 19:16:57 2015 +0200

    macosx: resume dialog: make more space for l10n
    
    (cherry picked from commit a2aa300a401f1df6d88cb168d8bee7184c2206c6)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit f5ebfa8e5648665c49c4c9474313d7850799b83a
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Jul 11 14:32:20 2015 +0200

    macosx: Create custom resume dialog, refactor
    
    Create own resume dialog, which acts the same way as a floating
    window. Thus it does not disturb the user more than any
    other VLC panel and consequently does not block the user in doing
    other operations.
    
    This fixes floating behaviour (#13886) any makes it more easy
    to implement any other fancy_dialog_whatever we might add later.
    Current design is a copy of the currently used alert window.
    
    Also raised the timeout value to 10 secs as users are complaining
    6 sec is not long enough.
    
    close #13886
    
    (cherry picked from commit dcb7543ff804c9283c1d23e99513fb24225cc589)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 980bb1e06110f63605c754d00079ec67e93b59fa
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Jul 8 22:37:57 2015 +0300

    strings: skip XML-invalid non-printable characters (fixes #15027)
    
    (cherry picked from commit a9bc71c00c681d81ddebf600b027e2dd537438f7)

commit 166acd2b35ddf88e7827cc8d24aac1b5c1153976
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Jul 6 17:47:17 2015 +0200

    vout ios: take scale factor into account when initializing the rendering

commit e4e0a222b50ec4c084da4901ede2ee4db6efbf6d
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Jul 4 13:39:56 2015 +0200

    vout/macosx,coreanimation: do not link against opengl
    
    This is not needed. And for the normal mac builds, we even do not have this library at all.
    
    Closes #13838
    
    Manual backport of 86ac78e2
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit b8df53b4e344485ffae13d366496247d795df75c
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Thu Jul 2 18:41:59 2015 +0200

    config: fix memory leak
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 2f6b105a79e4fcdf08d09caaf4d1dafe5ec470bb)

commit 43f344559cfd676b0c2f70234c335267bff0f208
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Jul 1 14:28:26 2015 +0200

    darwin threads: add missing cancellation point
    
    This solves timer cancellation issues on Darwin 11 and later
    
    Thanks to Sean for the hint
    
    (cherry picked from commit 910e208252ae96848bf2339ea4386fe4544d23dd)

commit ed4730a2ff32fedb8b851c45f9c92d968a7b07c5
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Jul 1 13:50:54 2015 +0200

    vout iOS: reliability improvements
    
    (cherry picked from commit ccd2a9a1408843ed57521eb7149df806d3d9d3d2)

commit 042529c3b602dada99c559b1dc55fb0850a3c998
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jun 22 11:02:43 2015 +0200

    Contribs: update live555
    
    (cherry picked from commit fd0a69dff784a32dbf6b7f88e0c589d31ea9198d)
    (cherry picked from commit 953d664bf320f49e7e9e1264885110bd6e0064a6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 19273afc1e6cbbecac98108b6ede581f33ffcff4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu May 21 20:46:09 2015 +0300

    contrib: live555: set the MSG_NOSIGNAL flag when writing to sockets
    
    So that the LibVLC application does not get killed by "Broken pipe".
    
    (cherry picked from commit ecfd0b797211e80004833e3de55f5de07e1e9d79)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6321b9fa4c61f8c37b107563d18924524af0c0de
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Dec 19 16:40:28 2014 +0100

    Contribs: don't hardcode URLs
    
    (cherry picked from commit ed5563d9b1aa46cc87aee2b33cfe1fdf1e4b3cf1)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3780bc88792205ca8157e6b668bea2aaaf6bc458
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Jul 26 18:21:46 2014 +0200

    contrib: mpc: fix sum rule
    
    (cherry picked from commit e06b50e02c2a73a0d1f26922e98ec90304ff2a49)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a02ecf65c401c770cf61116bf190841a3b7e64f4
Author: Rafaël Carré <funman@videolan.org>
Date:   Sat Jul 26 12:12:34 2014 +0200

    contrib: mpcdec: their SVN server is not working
    
    (cherry picked from commit 1f8e9326c3ed2d8a0b136824149008ab9dcdc244)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit acf857ff1d705535f59a2268cce4785fe8a5bc30
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Mon Jun 22 19:06:14 2015 -0400

    contrib: fix SHA512 data for Sparkle
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit a3ce8926a68b927edec7bbcbb4d0610ce5aa8971)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit cbbd0e6ffc86a9667ba1201c7bf6d95a4fb4cb73
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Tue Jun 23 16:04:39 2015 -0400

    extras/tools: remove liblzma pkgconfig file
    
    Prevent contribs from picking up the dependency here.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit da441b234fde4def6b81699cd6efe2db60bbaa40)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 0e3f56becd1fb803304f339346eb3a6413cf722f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Fri Jun 26 00:27:15 2015 +0300

    picture: ensure picture_t layout is fixed across languages and versions
    
    Plugins should not access picture_t.gc, but they can access
    picture_t.p_next or allocate a picture_t on stack, so we need to ensure
    that the size of picture_t.gc matches.

commit 6a7b82adcf3bb9010aad0d48acb0d06ed7e00664
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Wed Jun 24 14:28:06 2015 -0600

    avcodec: add mappings for gbrp 9/10-bit LE,BE
    
    (cherry-picked from commit 22a9c02f42a0070cfcdf5c8de2a09e692d6b9fc4)
    Fixes #14909

commit 9bd9611886817e3dc72cb1245054fa88323c290b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jun 24 10:15:09 2015 +0200

    Contribs: update libbluray to 0.8.1
    
    (cherry picked from commit a7df1b8e27a8e6f1aa1dba3b211311eb7c1cf79b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 21c08649d37a658c010c75bcbea0d6d01cea8298
Author: Daniel Amm <da2424@t-online.de>
Date:   Tue Jun 23 20:00:26 2015 +0200

    NSIS/Qt extension dialog: remove duplicates
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 5f6ba92ad3530e6524c13a11e4f70b38b532ad99)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 28b18786a49fb73aab0e24967d75ef1311be30ba
Author: Daniel Amm <da2424@t-online.de>
Date:   Mon Jun 15 18:19:46 2015 +0200

    Qt: extension dialog: update checkboxes if a check state was changed
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 1a2f7b20412973d6748bd3188130aba7b6d5e855)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 721bb53cf3d08daeec853fbb6460851ffdf2eb04
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jun 23 20:33:20 2015 +0200

    Update NEWS

commit 1568af3af62f7513bf63336ad8d7853ce9b62e24
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jun 23 18:18:53 2015 +0200

    src/image: make sure we set the output dimensions correctly (refs #13862)
    
    Previously, if the user set a custom size in the options, it wasn't respected but the snapshot was stored at the native video size
    
    (cherry picked from commit 903b3cbcbc3bf4eab01c80e15e91f2cca0bbeb5e)

commit 780e1ea7cf3951ed332b870fe2a4406574e47fe7
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jun 23 15:18:12 2015 +0200

    src/image: correctly handle anamorphic content sizes (closes #13862)
    
    This fixes a regression introduced in e3b809c1
    
    (cherry picked from commit c342e2ef72c9ab83f5bd7add27b41b5de6eeab2c)

commit 8580313e6685e9ed1748484a827cdeba7197444e
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Jun 20 11:46:08 2015 +0200

    macosx: fix window ordering during startup (close #14486)
    
    According to docu, application:willFinishLaunching: will be called
    as one of the first steps of [NSApp run], before the main loop
    will be actually started. Thus, it should make no performance
    difference if we load the main window already in run().
    
    For some unknown reasons, a direct call to makeKeyAndOrderFront
    works in run(), but not in app:willFinishLaunching:, though.

commit 14f1edbab2eeef1a0ebb791bb59665a05fae4108
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Jun 19 15:27:08 2015 +0200

    iOS dialog provider: fix retain cycle
    
    (cherry picked from commit 0a59bb70bb494cdd47df6d7edbd85d00e4864152)

commit 0ccd550006cf244f346ee2c4506885d78ade9f73
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jun 17 19:24:02 2015 +0200

    Contribs: FFmpeg/libav, update Hash

commit d35ff462224cead372ff6cc8f351196c0f6add1e
Author: Steve Lhomme <robux4@gmail.com>
Date:   Mon May 25 16:20:52 2015 +0200

    contrib: generate the d3d11.h with ID3D11VideoDecoder support
    
    And also with dxgidebug.h to show leaks
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit fa70b5cbf3fbc82618385e4678c9d77b5ebee88b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c76dda3bc369fc4202b7e057458dbaf918b37cfe
Author: Rafaël Carré <funman@videolan.org>
Date:   Sun May 24 10:04:02 2015 +0200

    contrib: harfbuzz: don't use host-specific icu-config
    
    (cherry picked from commit 8c33da5ae9106964e1b21877f6724b108de44462)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6d8105f26f903514ede404d0b2c44fbcc84af622
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 3 12:42:17 2015 +0100

    clock: input_clock_ConvertTS: missing log object
    
    (cherry picked from commit e1e7939bd4cf5aef1429662966b461f7cccadb46)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f59e289efdef3086571e20d3cd281fed3bda0bca
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Wed Jun 17 12:46:48 2015 +0200

    Skins2: add check on bitmaps to avoid crash
    
    (cherry picked from commit d7b946844c7aeb97c878779f8ea0cba548626504)
    Signed-off-by: Erwan Tulou <erwan10@videolan.org>

commit 2108feefa9111e4ba9a284b20cfc1f55985b08de
Author: Arjun Sreedharan <arjun024@gmail.com>
Date:   Thu Jun 11 17:03:32 2015 +0530

    rtsp: avoid hardcoding buffer size
    
    also maintain uniform case "CSeq" throughout.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit c932b5e7eaf9a681b043cd7ee258ecdfe71542e2)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2c7df43c000328853952d52d627b132a9296a47d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Jun 14 19:10:35 2015 +0200

    Update NEWS

commit b6b6a9aceaa9c93c1d231b008e6fe2de3a202986
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Jun 14 18:30:45 2015 +0200

    latex: batchmode and hyperlinks
    
    (cherry picked from commit ca39c308e69bffd4981977c83fa80642f39ad2da)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 323e27132254fce3d4177eba3c29732cac6f3332
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Jun 13 18:15:06 2015 +0200

    Lua.cli: improve lua 5.3 compatibility
    
    Close #14803
    
    (cherry picked from commit ebe6e7de1bbdf7181cdbeca61b5591f9b31ac711)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8eae3df54d45cda1490bf1f0271d699ff4802c6d
Author: Zhao Zhili <wantlamy@gmail.com>
Date:   Wed Jun 10 18:44:12 2015 +0300

    fix memory leak in lib/audio.c
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 29ed29e64272787e5ee37a76f3ff68a532607c9c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fb52fe76c5ab0c441b9a8f1b050ef51cd3e55121
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Jun 5 15:25:11 2015 +0200

    RTSP: fix off-by-one buffer overflow
    
    Close #14820
    
    (cherry picked from commit 626d7ef2d99f9b3f9f5cf1be16716328e3f7bf93)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4fea9f195b9410622430ed5251bc342e68d08f54
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat May 30 16:18:24 2015 +0200

    libavi: don't limit probing to movi when non-fastseekable
    
    (cherry picked from commit fe50471f305840c6f44e954d9c1d01d2b61f0e4e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4231a97f40d8c8fae7a5080e3c571a16451b3bac
Author: Samuel Martin <s.martin49@gmail.com>
Date:   Sun May 24 14:30:10 2015 +0200

    opencv_example: add missing #include statements
    
    Signed-off-by: Samuel Martin <s.martin49@gmail.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit b82416d7000a993b33e903095a590fe32212a85e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0f454d4c2da6b4ba67475c6a1bed732634e2d9cf
Author: Samuel Martin <s.martin49@gmail.com>
Date:   Sun May 24 14:30:09 2015 +0200

    opencv_wrapper: use opencv2-style includes
    
    If old opencv1-style legacy include directory is available, this change
    becomes purely cosmetic (maybe will compile a bit faster).
    It becomes an FTBFS fix when opencv1-style include directory is missing
    (i.e. from opencv-3.0).
    
    Signed-off-by: Samuel Martin <s.martin49@gmail.com>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit cc236e4652255902f2c2cee3b18f83367f35a8c7)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c7b95a3db92d7151bf744ee3e250f60efd1956af
Author: Gian Marco Sibilla <gm.sibilla@gmail.com>
Date:   Thu Apr 16 18:12:10 2015 +0200

    Jamendo Lua Service Discovery extension update
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 776564bf4a0af17f1b583b455d0e6e9fb00b0371)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 556719df87dcce7bf3e049ebe9c9393b00f0842e
Author: Ramon Gabarró <calanor@gmail.com>
Date:   Fri May 8 14:17:43 2015 +0200

    AudioBar: Lower the threshold for alarm
    
    It makes more sense post move to the IEC scale
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 824e18312671f975a1da0da7c1a605f6ddc648c9)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2bb8def8c85c7ef5fc1c3a5369061e47e9bc414a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Jun 14 18:34:49 2015 +0200

    Audio output: Fix comment typo
    
    (cherry picked from commit de9f47297bf9d2b3d4115ff494b80d6b04140435)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b9b974d7a924f59ccca3decbd1a4e5d38345ffe9
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Sun Jun 14 00:38:28 2015 +0200

    skins2: fix compilation on Linux (if no libtar)
    
    problem reported by Timothy B. Terriberry" <tterribe@xiph.org>
    
    (cherry picked from commit 7a8a62f6f7987d01232800924b75ab4d05fc163e)
    Signed-off-by: Erwan Tulou <erwan10@videolan.org>

commit 150ac49cf2a2904f4bf5783e4dac84a38e53626d
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Sat Jun 13 15:29:25 2015 +0200

    skins2(Linux): replace tempnam() with mkdtemp()
    
    Linux manual strongly advises against using tempnam().
    
    (cherry picked from commit 27cb7a2eddae5bd4e730ca7fff5b05cffd1b691c)
    Signed-off-by: Erwan Tulou <erwan10@videolan.org>

commit 0f4bb9c024c6ce759b53a778b46157e8dcd6b7d0
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Sat Jun 13 14:13:01 2015 +0200

    skins2: replace unlink with vlc_unlink
    
    (cherry picked from commit 5e3c93f14aa5084101b1a0adf527016b3a86904c)
    Signed-off-by: Erwan Tulou <erwan10@videolan.org>

commit 4dc9d044b328195e913650fe1cb91b7e868a2053
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Jun 13 11:14:23 2015 +0200

    macosx: disable isVisibleOnLaunch for main window
    
    Manual and partly cherry-pick of 43822a61f7be5bb1f9b5c74d470ae57f14c80109
    
    close #9903

commit 1ab29cfa0cb0222a19ffba7d09476553f1fc64dc
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Jun 11 19:14:50 2015 +0200

    macosx: fix checked state for extensions (close #14855)
    
    (cherry picked from commit d768b02e609ec5c3295c09a54dd6dd425df687b1)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 49276e70f115d382e65b9d4c9bd31fd280eba0a4
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Fri Jun 12 13:10:01 2015 +0200

    skins2: fix multibyte issue for temporary directory
    
    (cherry picked from commit 6de8060b719fad54d86eb9d097dc73d7a6d7f479)
    Signed-off-by: Erwan Tulou <erwan10@videolan.org>

commit 2367cfe8a98324d84a1967b32de6f34e5652148f
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Fri Jun 12 12:19:36 2015 +0200

    skins2: fix wrong FromLocale()
    
    file is already utf8 encoded, since it is a string that comes from
    the theme.xml description file, and therefore it is expected to be utf8.
    
    (cherry picked from commit ab806efc95b8378fab3b8b7aed78da07957269a1)
    Signed-off-by: Erwan Tulou <erwan10@videolan.org>

commit 40710288890bf92d107fb2f6924e25c308737549
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Fri Jun 12 11:32:06 2015 +0200

    skins2: remove a leftover call to FromLocale()
    
    - on Windows, the ressource paths are already UTF8 encoded. bug fixed
    - on Linux, the function is a noop
    - on OS2, config_GetDataDir() may need a fix (two paths, the former returns
    locale, the latter UTF8)
    
    (cherry picked from commit 58eb9328ed1daa2701c040dc9f076f08dca9b396)
    Signed-off-by: Erwan Tulou <erwan10@videolan.org>

commit ff1783a00518b42cebe0405a20d337628ff537d8
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Fri Jun 12 21:12:44 2015 +0200

    skins2: replace ifstream() with vlc_stat()
    
    (cherry picked from commit 51299c84451404d9f564f24d429bbc21ff4a091a)
    Signed-off-by: Erwan Tulou <erwan10@videolan.org>

commit 6dc293939bc8ca6dd82f42a3910d53ea6f61e9a8
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Fri Jun 12 11:04:18 2015 +0200

    skins2: replace all stat() with vlc_stat()
    
    (cherry picked from commit 49c72956b06beceda573b3f6eb5d57a3b5ddb414)
    Signed-off-by: Erwan Tulou <erwan10@videolan.org>

commit 80f1016779f86db6878920a5a60c7ba35e41df86
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Fri Jun 12 14:37:05 2015 +0200

    skins2: replace all fopen() with vlc_fopen()
    
    (cherry picked from commit 369d697c91052d07aacdd11d233084cf4df4745c)
    Signed-off-by: Erwan Tulou <erwan10@videolan.org>

commit 5788a5738a02bd334dc22328e3ca221049dc7b4f
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Fri Jun 12 10:38:06 2015 +0200

    skins2(Win): fix another multibyte issue
    
    (cherry picked from commit 9e9fd90d0ccf75eb51ae5a2624f7efc8b317581c)
    Signed-off-by: Erwan Tulou <erwan10@videolan.org>

commit 2f2d5b5a7736e1610b8c1fe82f981eb141fd1435
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Thu Jun 11 21:43:25 2015 +0200

    skins2(Win): fix multibyte issue for vlt filename (tar format)
    
    On Windows, gzopen() doesn't fully support Microsoft wide char either.
    So, use vlc_open() + gzdopen().
    
    For OS2 and Linux, no functional change.
    
    (cherry picked from commit 743ca935aa278f33ecb0488bd61f12ab00e3d951)
    Signed-off-by: Erwan Tulou <erwan10@videolan.org>

commit e76b5fad18d4abc906a338b93e7c9c2ab919bba4
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Thu Jun 11 20:53:06 2015 +0200

    skins2(Win): fix multibyte issue for vlt filename (zip format)
    
    On Windows, unzOpen() doesn't fully support Microsoft wide char.
    So, use unzOpen2() with a callback to use vlc_fopen() instead of
    the default fopen().
    
    This fixes situations where a skin filename or path contains
    e.g Japanese characters whatever the Windows locale.
    
    For OS2 and Linux, no functional change.
    
    (cherry picked from commit 1ac910a5f378a77d88469facf830055877701d3c)
    Signed-off-by: Erwan Tulou <erwan10@videolan.org>

commit 23188e2036b47526e63d6b9346af150957825b10
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Thu Jun 11 20:09:10 2015 +0200

    skins2: fix file descriptor leak and missing error check
    
    (cherry picked from commit 01bf3662b1af1673cc5f6efbb355a698983a7651)
    Signed-off-by: Erwan Tulou <erwan10@videolan.org>

commit b4bd8778947e4f5a1f9bcfbf709d1fb9197c4aa0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Jun 11 18:49:27 2015 +0300

    filename: episode numbers can have more than 2 digits (fixes #14859)
    
    (cherry picked from commit 9ad76e4f4542b0ff4d20fc6dc0d395112da554b0)

commit 53dc47fab75cefd3a936cc9323f06b7b23b8c37c
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Wed Jun 10 18:18:35 2015 +0200

    skins2: fix UTF8 conversion issues
    
    The issue is twofold:
    - converting filenames that are already UTF8 encoded from the Qt dialog box
    - missing UTF8-to-locale conversion for filename passed as parameter to vlc
    
    These bugs accounted for skins with name or path containing multibyte
    characters not being able to load successfully on Windows.
    
    This fixes trac #14843
    
    (cherry picked from commit 3b6b39ac889e7a3242f7ef586c01d6821bd49d24)
    Signed-off-by: Erwan Tulou <erwan10@videolan.org>

commit b29c196b6afe59c7230b5e74b60c46d567cfa3aa
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Jun 10 11:37:01 2015 +0200

    tools: update ant to 1.9.5
    
    (cherry picked from commit c355933efd1b9bbcc68b9e342f25759f58da3897)

commit 6b065f9721cc4e9a07d19bb68a3c7fdf3d5a6121
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Jun 5 17:07:34 2015 +0200

    iOS vout: fix runtime exception (closes #14800)
    
    (cherry picked from commit 1e2a57c3c524e402e6485fbc19f89ec4ed3508cf)

commit 650c0aa103cf5556dec6c008b1cf6ab687e76f8f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Jun 9 10:50:51 2015 +0200

    vout iOS: prevent termination on close
    
    (cherry picked from commit 91308f0b52e578a2b62bcdc51c9367a73bdef936)

commit 0fce8a54b43d7ba42960d94c71f6a7caa87e4af4
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Jun 6 18:20:12 2015 +0300

    adpcm: do not abuse fmt_in.p_extra, fix double free
    
    (cherry picked from commit 85a205b487c0dce7257d42c7e5046f48745a5030)

commit 021a1fc1c53db349979eb0feb8907aeda6ccbea7
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri May 29 12:23:47 2015 +0200

    ios: enable a very minimal set of sout so we can capture snapshots in files
    
    (cherry picked from commit 7757b784bc621be094c9a684b53091d6b5b31f47)

commit c4b479a5d94ec3e84b3118a8cfe97aa076d24f13
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon May 25 18:59:52 2015 +0300

    qt4: only use COM apartment thread for Shell Interfaces
    
    (ref: MSDN KB 287087)
    
    (cherry picked from commit e64a051e9a111306ab8b2ca0ac361b1801bc1772)
    
    Conflicts:
    	modules/gui/qt4/components/simple_preferences.cpp

commit 9ef40dc9e207f17b5ec1697db7099af0781f4ca1
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon May 25 18:51:23 2015 +0300

    Qt4: fix Win32 task error handling
    
     - do not pass NULL HIML on error,
     - clean up COM on error,
     - fix hr variable shadowing.
    
    Not fixed: leak of the task bar and image list.
    
    (cherry picked from commit 339756682b5135da5e889a46b0f794e21914cff0)

commit 963d7910b207c19dece6cedb6076c7322a2b532b
Author: KO Myung-Hun <komh78@gmail.com>
Date:   Sun May 17 11:24:55 2015 +0900

    os2: package: remove unrecognized options
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8e8ac4a07f3cc1ce3c23ef521777246e21062532
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue May 26 19:50:05 2015 +0200

    ios vout: fix unexpected termination when app is in background (close #14643)
    
    (cherry picked from commit 8d765e169785861bc63fc3234f5d4d16ca4c9940)

commit c44e9ef9c96de3e1ab51e797abcf3a04e56f33fc
Author: Gleb Pinigin <gpinigin@gmail.com>
Date:   Wed Mar 18 12:21:09 2015 +0600

    contrib/gpg-error: fix crash in lock object on iOS (fixes #13194)
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>
    (cherry picked from commit c417e384c905058d3d571d2277a30fe4955c984f)

commit 5fb4742d4750d0c390250de69f8076e47998877e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon May 25 21:41:27 2015 +0300

    objects: fix race in ObjectKillChildren() (fixes #13979)
    
    If an object is created after the parent is already killed,
    ObjectKillChildren() could not have killed the new object. So the new
    object needs to inherit the alive flag from its parent instead.
    
    (cherry picked from commit b2a308560287256204786eecc4f4196370658bc4)

commit 3d358d038ac254fb339dfe0803e4233d467ebe2c
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Thu May 21 05:10:05 2015 -0400

    Add Maithili to language menu

commit 4697dc63ef0b8cb3ceec1a0fa7eedd389fce2e4c
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Thu May 21 04:59:12 2015 -0400

    Add Maithili to LINGUAS

commit 5de4aca3a14ea7018bd0141324664d03a11f1aa7
Author: VideoLAN <videolan@videolan.org>
Date:   Thu May 21 04:52:40 2015 -0400

    l10n: Initial Maithili translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 73e92a990e8dc003844ae2e92e76529e0f26709c
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Thu May 21 04:48:32 2015 -0400

    Add Kashmiri to language menu

commit d570faec72039523fc55a794671fd5b4d69b6e79
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Thu May 21 04:32:08 2015 -0400

    Add Kashmiri (India) to LINGUAS

commit 3b8b79b4d5c1922c5cad38b927b61af5a4530174
Author: VideoLAN <videolan@videolan.org>
Date:   Thu May 21 04:26:44 2015 -0400

    l10n: Initial Kashmiri (India) translation
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 0add93d0dd517f6dfe4bc8e8998788089cf96e61
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue May 19 21:41:57 2015 +0300

    Lua intf: fix use-after-free
    
    (cherry picked from commit f822d4a899433d46e3b5a37a83c08a956f285564)

commit 0e9751c71c2931962332338e40da3ec449b9e921
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue May 19 15:19:41 2015 +0200

    UPnP: don't use UPnPInit2 on Win32

commit 95a8a7f893439ea7600daf3a3ef9c77207417e03
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Mon May 11 18:19:26 2015 +0200

    upnp: Fix some libupnp bugs
    
    Those patches prevent an infinite loop when specifying an interface name, and
    avoid using a down interface as the defautl interface.
    fix #14526
    
    (cherry picked from commit bec798ac1c338b4694889d9c5205c606ae100c0a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ce4f00795d9906e8ba1b2c8bdbf460bf29b30d0b
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sat May 16 10:13:20 2015 -0400

    Fix AUTHORS

commit 5e840db932a0022e662b5042327dacf303304c79
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Dec 15 19:24:25 2014 +0200

    playlist: automatically resume from pause when uncorked
    
    (derived from commit ab500430e6dfd02ae4e19ecb9a3d76f3f9486522)

commit 7f525a92163d2622348e6f4709d5b2a9abf25f9c
Author: Tobias Conradi <videolan@tobias-conradi.de>
Date:   Thu May 14 21:38:23 2015 +0200

    fix problem where sometimes VLCOpenGLES2VideoView has a different size than the superview.
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>
    (cherry picked from commit 974b79d88ec564e86ab4137dd35aec941eca4338)

commit 5b8b9780773ef0c9e4f9d21a3443a3bcee8a5ef1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue May 12 21:54:34 2015 +0200

    ios audio unit: minor fixes
    
    (cherry picked from commit f7fe783762fa8c2937de3d72ebcb1e59d1c803b1)

commit caa52414b9f47919c9c0a64ff077765b4ceb86a4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue May 5 16:01:04 2015 +0200

    Contribs: update libvpx to 1.4.0
    
    (cherry picked from commit 76c60ba677fb944ab7bcaca549eb106a1c53ad5a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 151c579117a22473b0981e0661c7e6ba7206b842
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Tue May 5 20:41:24 2015 -0400

    png: reduce encoding time
    
    (cherry picked from commit f71713fb624d510b88b8dda460fa927bc7c079e1)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e0c63aa86b3033375d6582d3424d9f2a7c9b9cdf
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat May 9 16:48:26 2015 +0200

    mux: mp4: avoid divbyzero
    
    (cherry picked from commit 2a59243de40e64b90cd6fe8c3402de2706eac445)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ca28163fb0ed72a5aa2fa73c0b80475796985a23
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu May 7 19:29:51 2015 +0200

    macosx: fix crash in str_format_meta
    
    (cherry picked from commit e823a595a8aa041de17e23d8f84bcb90d5d48702)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit cc5786b10933562dfe4d95792b6052e1a0cea94e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu May 7 00:02:10 2015 +0300

    image: fix block size for decoded picture (fixes #14547)
    
    (cherry picked from commit ba19bb5eadaa42d7f115969ba289910a6ef1a6c8)

commit be7f779401b602a00687fd5e432c3f26e4615c28
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed May 6 23:58:14 2015 +0300

    skins: fix crash if input-title-format is empty
    
    (cherry picked from commit 541b381c676cc96b6e1967610a2077b00950b86d)

commit 618e9dd90e5e1061248d847082752a6f4d56a40b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed May 6 23:57:42 2015 +0300

    qt4: fix crash if input-title-format is empty
    
    (cherry picked from commit 8ecc026e2094a59cc96be3b507d6eae10849cc24)

commit cbe61dbccb0120920fd690e12cac14738290ee35
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed May 6 23:50:53 2015 +0300

    str_format_meta: add assertion
    
    (cherry picked from commit 9f09d628b136c2fe48679b320518c37f3cbc7edc)

commit ea8b7ef0ca88b9b5462e22db7aab40b7ce159957
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Wed May 6 19:31:31 2015 +0200

    macosx package: copy the really correct symlinks for libvlc* into the package
    
    close #14560
    
    (cherry picked from commit 5e0fd988cc4bdae005f62cabbb2789d68cd1197a)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit aab8268ae8f1a9db46a7ef63a55608e4f6c7a909
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed May 6 10:24:18 2015 +0200

    os x packaging: fix invalid link (closes #14560)

commit d69f7fdb349e24e8cea9235815cbc56b36398686
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue May 5 18:53:59 2015 +0200

    demux: mp4: have ReadBox check final size
    
    (cherry picked from commit cadfe695b4c138aa8708dc7c8cc5ecbdad77696c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 739c7a82eb7d210ab83443c67828ff1356281410
Author: Tobias Conradi <videolan@tobias-conradi.de>
Date:   Fri May 1 21:56:06 2015 +0200

    move audio unit initialization after audio session initialization and setup fixes issues when trying to start playback from background
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>
    (cherry picked from commit 1ee464915748e9efb00464d2e926c27e1513a4bd)

commit ee4b91b90771689063dca038fc0600814c8af570
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri May 1 15:50:17 2015 +0200

    Update NEWS on 2.2.x

commit cdcfa8a9f529c7e6ec25685e883129db8347b95b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Apr 30 21:30:42 2015 +0200

    demux: mp4: fix NULL dereference handling trun
    
    (cherry picked from commit eceac9eb7d1b0795a8fed310e6fba8cd5a083ec0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5c5cd0c3d6ab5aedc909ea0d2ebde3d74ed7cff4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Jan 24 23:53:59 2015 +0100

    contrib/ebml+mkv: compile with hidden symbols
    
    This solves linking issues on iOS and should have no negative impact on further platforms
    
    (cherry picked from commit 6031c9769a0dbd8a4f484027d5856b12ec9cc188)

commit 750b80b1f1875b106fb1bc0f09a29b7d520ffb87
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Apr 30 14:53:01 2015 +0200

    contrib: upnp: Work around missing WIN32 macro
    
    When building in non-gnu -std, WIN32 doesn't get defined.
    
    (cherry picked from commit fcafb389009c6913d58ebeadf54a4fcc9624652d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3418a0244fc1f3530e8d07f96777be6fa8f92bae
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Apr 29 15:29:31 2015 +0200

    Contrib: require libdvdread/dvdnav 5.0.3
    
    This should avoid numerous crashes
    
    (cherry picked from commit 30c05d8e241429989db1b230b0e413cf33dcb865)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1743fe56e00bbfc25603f88b7851fd35b8881260
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Apr 28 15:09:57 2015 +0200

    input: check malloc return
    
    (cherry picked from commit 46437d4aa3300b99dbfe29f6f2d1fa8fcf64155d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a8fe1c1d01382785517ed54480ed3babf1ee4cfe
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Apr 26 13:19:13 2015 +0200

    macosx: extensions: Allow multiple selections in table view
    
    close #14464
    
    (cherry picked from commit aa6b2c997c14bf4f23eb465ffe84dfb04670f0c8)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3870cf32f3df384b11e3b8540546b8cd343b45a7
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Apr 26 13:15:32 2015 +0200

    macosx: extensions: Allow multiple entries with same name in popup menu
    
    (cherry picked from commit e2270a4406d62503db4a6c825f123a3f89952d42)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1798c312d838fe89febcf4e1adba26eea8038528
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Apr 28 23:42:23 2015 +0300

    vdpau: fix importing surface from main memory
    
    On the one hand, when decoding in hardware, the video surface
    dimensions will match the coded dimensions, rather than the visible
    ones. Otherwise the hardware decoder would not have enough space for
    its output. In this the libavcodec plugin does not add padding (since
    libavcodec SIMD optimizations are not involved).
    
    On the other hand, when decoding in software, the video surface height
    must not include the padding added by libavcodec SIMD optimizations. So
    then the visible height needs to be used to avoid bleeding green lines.
    
    (cherry picked from commit 3b3bd7e49d52875024c6f1b0ef4eac124a637c2d)
    
    Conflicts:
    	modules/hw/vdpau/chroma.c

commit 88fa0c4b9d5196c53241fa27f2315ae6553d3808
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Tue Apr 28 15:32:12 2015 +0200

    skins2: fix a video control that fails to show up
    
    This fixes a regression in vlc2.2. It is described on the forum at :
    https://forum.videolan.org/viewtopic.php?f=15&t=125790&sid=05f4d8a32853034ce6d497ca15bab1e8
    
    (cherry picked from commit 7a00bd9b966fe6eb615d7df1b5ff6afdd92b2d36)
    Signed-off-by: Erwan Tulou <erwan10@videolan.org>

commit e2c4691e3d75fca23ca8255ad530bf5d26e6371b
Author: Erwan Tulou <erwan10@videolan.org>
Date:   Tue Apr 28 15:21:24 2015 +0200

    skins2: remove a fallback when choosing a video control
    
    This fallback was an attempt to recover when a skin is poorly designed,
    but it causes problems under some circumstances. So let's remove it !
    
    (cherry picked from commit 1d2608d4aa0aa9fe30b9fde5a825f14a9941347c)
    Signed-off-by: Erwan Tulou <erwan10@videolan.org>

commit 25028749dc5f86c04a67ae47fccc7d6ad672ee8a
Author: Rafaël Carré <funman@videolan.org>
Date:   Fri Apr 24 15:55:23 2015 +0200

    npapi: fix vlcpp fetch
    
    VLC itself has no submodules
    
    (cherry picked from commit 1f51cbc7439fbcd19d8a33c7a2809401951c8f76)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4d36ec4832227c384c3fa50fed431189a8b87080
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Apr 21 11:16:12 2015 +0200

    NPAPI: call git submodule when cloning
    
    (cherry picked from commit 98ec9654ec890b7decf9472cade61c82f489aa9e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit af1782beffd1a9b365a6189d5e18ed5ed1cc1892
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Apr 23 15:31:58 2015 +0200

    stream_filter: httplive: fix delay on eof
    
    (cherry picked from commit 169604c5a75b4d9f99a1db8561e6319d6b11bbfb)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4ddbb29da4c4869dac8b16cd897a682a509b026b
Author: Vinson Lee <vlee@freedesktop.org>
Date:   Fri Feb 20 06:05:09 2015 +0000

    rdp: Support FreeRDP-1.2.0-beta1-android9
    
    Fix build errors.
    
      CC       access/librdp_plugin_la-rdp.lo
    access/rdp.c: In function ‘Open’:
    access/rdp.c:431:5: error: implicit declaration of function ‘freerdp_channels_global_init’ [-Werror=implicit-function-declaration]
         freerdp_channels_global_init();
         ^
    access/rdp.c: In function ‘Close’:
    access/rdp.c:507:5: error: implicit declaration of function ‘freerdp_channels_global_uninit’ [-Werror=implicit-function-declaration]
         freerdp_channels_global_uninit();
         ^
    
    freerdp channels global functions were removed from FreeRDP repository
    in commit 2a82684521dc8b23ae92e284e866227e5194a7bb.
    
    commit 2a82684521dc8b23ae92e284e866227e5194a7bb
    Author: Marc-André Moreau <marcandre.moreau@gmail.com>
    Date:   Wed Jun 11 16:27:31 2014 -0400
    
        channels: cleanup unused freerdp channels global functions
    
    Signed-off-by: Vinson Lee <vlee@freedesktop.org>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 5c07f87a773153c128b3a771ed61e7915cd8fe18)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 429ecd9de2f6e1d02ff6831ddd002301f879fa20
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sat Apr 25 08:07:48 2015 -0400

    Add Tamil to menu

commit de63839eeae5053af09834c8d70dd373ab2e2a7a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Apr 22 14:56:31 2015 +0200

    stream_filter: httplive: don't trust stream size
    
    (cherry picked from commit a13829b11afe1b56d5ecec4afa0b62b44af10739)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9d16134339854214051d60f323a57d829e69dc76
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Apr 22 14:50:00 2015 +0200

    stream_filter: httplive: use stream size for m3u8
    
    (cherry picked from commit f162660200e8f706a101963745010dccc0e77540)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ae609f2bfb59be1c48e28edc715af724b7097b25
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Apr 21 22:51:07 2015 +0300

    Fix Linux build
    
    (cherry picked from commit a3ce78afc55ec7675fceff7b9ffe17fa4f8f12ca)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b969a447061280b873ce9344da519da1ed6872d0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Apr 21 20:49:19 2015 +0200

    stream_filter: httplive: pause before segment selection
    
    segment depends on current time for live streams
    and might have been removed
    
    (cherry picked from commit 345370222094f149c76f724f7f67a95255faff28)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 37b1ee9a245e91fb0a6092be993fc5ade974682c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Apr 20 21:10:40 2015 +0200

    stream_filter: httplive: factorize segment read and remove vlc_object_alive
    
    (cherry picked from commit 39b6e3b4f3071294c098958756cc912f8671d7b2)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 09f30022c706308e16674405d23f1d0949ad67e2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Apr 21 22:08:01 2015 +0200

    demux: asf: fix ms-dvr truncated frames (fix #14414)
    
    Since the copy mpeg2 packetizer is no longer accepting
    mpg2 fourcc, the -broken- ms-dvr files are not
    packetized.
    
    (cherry picked from commit f7ffd0132121652b85ab5fd49ad4a2423172b182)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 22eda20b2c18df6df1a5cff8e96df81244f99b7f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Apr 20 18:11:38 2015 +0300

    messages: disable cancellation
    
    vlc_rwlock_rdlock() may be a cancellation point.
    
    See also 446703fadbff12ad8bd70255e56c978446a564e6.

commit 9b0868aca13fe7fff98366dfb9b5d27804540760
Author: Arjun Sreedharan <arjun024@gmail.com>
Date:   Sun Apr 19 02:54:32 2015 +0530

    rtsp: assert memory allocation before using buffer
    
    s/malloc/xmalloc/g
    
    Signed-off-by: Arjun Sreedharan <arjun024@gmail.com>
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit c8559d4ed217b98e7cf50926a1388cfc77812a66)

commit 20be876d7c1b39b4a8072ff913d9bdf95300d2e4
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Sat Apr 18 01:18:35 2015 +0200

    PulseAudio: fix audio drop after a flush
    
    It happens when pa_stream_write is called too late after a flush.
    This fixes audio drop when the track has a positive delay.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 7de1c701a5a43fd5a5cbd236fa64d750a356c7de)

commit 55574f4261cac5260bd316d024fbf142d4ad3252
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Apr 16 20:58:52 2015 +0300

    vdpau: video output requires XCB (fixes #14408)
    
    (cherry picked from commit c354efa3a2843d479c8fa9e929ff1064e5526bfa)
    
    Conflicts:
    	modules/hw/vdpau/Makefile.am

commit 16d20fe43e39d3f52e82e05e9a40fbb2c58622e7
Author: Ricardo Ribalda Delgado <ricardo.ribalda@gmail.com>
Date:   Wed Apr 15 20:42:08 2015 +0200

    v4l2: Fix SetupFormat for CONTINUOUS framesize
    
    One of the bounds of the loop were wrong, ending up in testing
    formats that were not supported by the hardware.
    
    Signed-off-by: Ricardo Ribalda Delgado <ricardo.ribalda@gmail.com>
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 4372fe4df714fccb15eeb7e0baeae74fb97edaee)

commit 41d806c564b659b3db4bc37f5b3e5cb75f925861
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Wed Apr 15 07:52:55 2015 -0400

    update single msgid (instead of update-po)

commit c7db3c518e63c45a16b2165d50916541f85613f5
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Wed Apr 15 01:54:27 2015 -0400

    Shorten/improve description

commit ff1b324212c7c3b3e6dcecfe3c0a3521a6ccc818
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Tue Apr 14 18:11:20 2015 -0400

    Fix description to match behaviour

commit 84ee1ed2343351d1128641315eb26ac72d16e6bc
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Apr 14 15:51:12 2015 +0200

    On the road to 2.2.2

commit 83ded1908f348cc8fe0dcb16379be4ab2e496291
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Apr 14 15:46:09 2015 +0200

    Update NEWS with CVE numbers

commit a425c429f5bfffa2c6a1a4f8b741928332408582
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Apr 13 09:58:03 2015 +0200

    Nickname 2.2.1 as Terry Pratchett
    
    RIP

commit f76df5479b729788bed21c764464cc5349041165
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Apr 12 22:15:51 2015 +0200

    Update-po

commit 059d996e51b8531bbaaedecc3a4db28813f2ed48
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Fri Apr 10 12:20:17 2015 +0200

    dvdnav: add Demux submodule
    
    It allows to use dvdnav via a VLC access using new dvdnav stream callbacks.
    
    When using a VLC access, dvdnav readahead flag is disabled in order to read
    small chunk of data from pf_demux (that is 2kB).
    
    This is disabled by default and must be forced
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 779863473446ae6e6c3bd4f9fb8764c6274bca94
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Apr 12 23:26:51 2015 +0200

    Qt: add playing inputs to Recents
    
    Close #14034
    
    (cherry picked from commit f34029f16dcbddaf5fc76689cc39badc0c7e5c98)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ef2dbefc149780da271a1045036414f98811683a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Apr 12 17:14:38 2015 +0200

    i18n: fr: fix erroneous translation
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 841908514df172c3ec650f523ca631f1a3d4fe5a
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Apr 6 18:45:12 2015 +0200

    demux: ogg: don't send invalid dts stamps and use last pts as chained pcr
    
    (cherry picked from commit 918f44532669674303f492d0781fa408d0169dd5)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2e8ad115e10bd299623ebddfffd2a70eceeb01d5
Author: John Stebbins <stebbins@jetheaddev.com>
Date:   Tue Apr 7 19:25:21 2015 +0000

    Closed Caption: Fix tab offset 3 command
    
    Incorrect conditional filtered out the command
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 59945c72066ca8303031c89dc3ce724140572a6f)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 41759ff356b85e356446dc29eba83a231d52c625
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Apr 10 18:43:29 2015 +0200

    mux: dummy: flag headers (fix #13748)
    
    Header flag is required for http streaming.
    
    (cherry picked from commit fbb1f03c19765cd7438843c9dc763f8fc1846c45)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5a1cf7dbc8dc24f922566aa9de660dc997105f39
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Apr 12 00:04:47 2015 +0200

    demux: mp4: workaround for broken stsz (twos sample)
    
    refs issues/no-sound-tv.mov
    
    (cherry picked from commit 6e5228fdf9bedb1758577fba555a7e52321e48b5)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit bbecde2e90325d7d2fbdc011b2cf4808caf49edd
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Apr 11 20:46:45 2015 +0200

    macosx: fix main window appearing with a delay of some seconds
    
    close #14361
    
    (cherry picked from commit 8de7ac281107b742b40867b0694482bf9861effb)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 206122658c54d3f3c86eaff0ceb5f9dbff785533
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Apr 11 20:44:50 2015 +0200

    macosx: fix crash occuring while initializing the info panel
    
    It is not allowed to call [[VLCMain sharedInstance] info]
    on the non-main-thread, as this might load and initialize the
    info window.
    
    (cherry picked from commit d87928927015fad3cdbcd0309bf3185c3672822f)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit c4d471b0080a3534bb29e4894b7afff5540e1dae
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Apr 11 19:57:19 2015 +0200

    Update NEWS for 2.2.1

commit fe7efa967ae2440b14403fad90d57e0a332528ff
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Apr 11 12:37:25 2015 -0400

    l10n: Traditional Chinese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 6a5d754aa372e2ac15bcfff5dcf8ef6407e7c18f
Author: Dean Lee <xslidian@gmail.com>
Date:   Sat Apr 11 12:36:42 2015 -0400

    l10n: Simplified Chinese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit b09c3b495b3dd0a2d7f0d577ff05572eba7db345
Author: Andriy Bandura <andriykopanytsia@gmail.com>
Date:   Sat Apr 11 12:35:22 2015 -0400

    l10n: Ukrainian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 9b1baeb49cf0f9ceb908ddc6c2503ccc7aa0d4b0
Author: Kaya Zeren <kayazeren@gmail.com>
Date:   Sat Apr 11 12:34:02 2015 -0400

    l10n: Turkish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit ddd0ae304ec31a6c83b072a9f04225cf0ee8db79
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Apr 11 12:33:05 2015 -0400

    l10n: Thai update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 8b2d28b23c78444837b44805a2be397771905dae
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Apr 11 12:31:33 2015 -0400

    l10n: Tamil update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 61d6d5e5960c37bd93b361ec808e7f04f6ff5cdf
Author: A. Regnander <anton_r_3@hotmail.com>
Date:   Sat Apr 11 12:29:52 2015 -0400

    l10n: Swedish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 82cce9005c53b861a7d563f0e4a1979b88ca8701
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Apr 11 12:28:16 2015 -0400

    l10n: Serbian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit a1c1b397d1ab9fc07a9175c9d6a2fceca8039ad6
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Apr 11 12:26:39 2015 -0400

    l10n: Albanian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 730797ec558af68b23ded75d5c1d5b6eb2f1f409
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Sat Apr 11 12:25:59 2015 -0400

    l10n: Slovenian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 021d5dff6769b4be1b18a8aabca0ee3a6ff13b34
Author: Marián Hikaník <mhikanik@users.sourceforge.net>
Date:   Sat Apr 11 12:24:26 2015 -0400

    l10n: Slovak update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 8ca94c0e5d0f0d88b7cbb7971759c70c2f06f1e9
Author: Alexander Lakhin <exclusion@gmail.com>
Date:   Sat Apr 11 12:23:24 2015 -0400

    l10n: Russian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit a9446080b8cb3d96aeb82f3bcf49b8eed4217d19
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Apr 11 12:22:26 2015 -0400

    l10n: Portuguese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit b677c55dd1bf09ee8cc1968adc817e4a4e2780cb
Author: Michał Trzebiatowski <hippie_1968@hotmail.com>
Date:   Sat Apr 11 12:19:45 2015 -0400

    l10n: Polish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 7fb248f4c26afee27fcc34ccc58c673ac91204cc
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Apr 11 12:18:01 2015 -0400

    l10n: Norwegian Nynorsk update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 34e9bf2a4f8f94951c53fbf12111c0a3f0b28151
Author: Thomas De Rocker <thomasderocker@hotmail.com>
Date:   Sat Apr 11 12:13:04 2015 -0400

    l10n: Dutch update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 8a60a6535ca146241c3f6b22eb6b87d75d74f7cd
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Apr 11 12:11:47 2015 -0400

    l10n: Norwegian Bokmål update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 8b0b9d87f0e373d64e637ab640fcaf6d9b0157c6
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Apr 11 12:09:16 2015 -0400

    l10n: Malay update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit bc73d2eb1e3505f26b91a69c4316c16557656a3b
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Apr 11 12:07:32 2015 -0400

    l10n: Macedonian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 1597ee3a2e1bd21ec3b0ea6845af65e537488f3e
Author: Ingmārs Dīriņš <melhiors14@gmail.com>
Date:   Sat Apr 11 12:06:23 2015 -0400

    l10n: Latvian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit b34d88e61ec010f97c1b73033516bb02df858fae
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Apr 11 12:05:13 2015 -0400

    l10n: Korean update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit afb0825f919ad9297ea456cdeeb8f7f60d943f05
Author: Fumio Nakayama <fumio.n6a@gmail.com>
Date:   Sat Apr 11 12:03:32 2015 -0400

    l10n: Japanese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit d843f9527ccc0df720422008d418bc6b943830f6
Author: Vincenzo Reale <smart2128@baslug.org>
Date:   Sat Apr 11 12:02:41 2015 -0400

    l10n: Italian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 7911d534589b05583736423b607d870d44233191
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Apr 11 11:59:58 2015 -0400

    l10n: Hindi update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 454f5e3ca4140b994999e0ea7632ab00e552b224
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Apr 11 11:58:41 2015 -0400

    l10n: Hebrew update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 78ea5e98bb0a75442b361b54879388af9d9d66d6
Author: Michael Bauer <fios@akerbeltz.org>
Date:   Sat Apr 11 11:57:29 2015 -0400

    l10n: Scottish Gaelic update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 890cbd6a59b464711542a0c70d422ff3fd741d0e
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Apr 11 11:56:19 2015 -0400

    l10n: French update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 82d5a3cdcff2acbae774d575bcde9f79290854f3
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Apr 11 11:54:48 2015 -0400

    l10n: Finnish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 360adae98b47e1d52513ad231a22d3105f2ac17c
Author: David González <pico.dev@gmail.com>
Date:   Sat Apr 11 11:44:32 2015 -0400

    l10n: Spanish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 00f8e712dc4760a18154407a582aa2cf2486e1e7
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Apr 11 11:42:42 2015 -0400

    l10n: English (United Kingdom) update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit b2d10976b25f707ea0321c855d9f75d51d510600
Author: Savvas Nesseris <modernphilosopher82-2011@yahoo.com>
Date:   Sat Apr 11 11:39:04 2015 -0400

    l10n: Modern Greek update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 8ef1058ce88faf3023c2709815c061fd4a95d2a9
Author: Mario Siegmann <mario_siegmann@web.de>
Date:   Sat Apr 11 11:37:28 2015 -0400

    l10n: German update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit e8728f4783015f182052b429696d6643577465ed
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Apr 11 11:36:02 2015 -0400

    l10n: Danish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit f56166942e91dff69f12e86f995b85fd46981b22
Author: Tomáš Chvátal <tomas.chvatal@gmail.com>
Date:   Sat Apr 11 11:34:15 2015 -0400

    l10n: Czech update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 4a2f4bb4206c24d5e7ba721e487a47fc58d6f59f
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Apr 11 11:30:58 2015 -0400

    l10n: Catalan update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 31b91a013ffee22281ca8a34da8a496cdbf8b109
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Apr 11 11:25:12 2015 -0400

    l10n: Azerbaijani update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 2f6510f06dc26d71399bfa2eee3748268c249dc9
Author: VideoLAN <videolan@videolan.org>
Date:   Sat Apr 11 10:48:15 2015 -0400

    l10n: Afrikaans update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 9cb61ac93e0e5468945048d22f160232424dddac
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Apr 11 16:25:29 2015 +0200

    macosx: wait in vout provider for the interface to be initialized
    
    Because the playlist is started before the interface is up,
    the vout window provider waits until basic initalization is done
    in the interface (initialization of VLCIntf, NSApp, static vars).
    
    This is still sort of a hack, ideally the playlist should be
    started only after all interfaces are fully initialized.
    
    close #11585
    
    (cherry picked from commit 4a17358abea2b8fce47e8af3888aec638debfb42)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 04714baa6fac2b3fb6ad24f8fa1dbdb8603adc7c
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Apr 11 16:21:57 2015 +0200

    macosx: update play and playback mode status on startup
    
    Because the playback might have been started before the interface
    registeres its callbacks, set the state manually.
    
    close #14046
    
    (cherry picked from commit 5598f816905d5262928650c38d6b9a501b232deb)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 033a61377aabb172469e8edb6268f17fe37fe116
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Apr 11 16:19:50 2015 +0200

    darwinvlc: move play call to minimize time for race condition
    
    This is still racy, but it should reduce the time between playlist
    and interface start.
    
    (cherry picked from commit b5c0fe454de96a1328751a896b42daf6ee732284)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 13c2bfc1a0eede899e5627302ae27ef7fef1cbe5
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sat Apr 11 08:34:24 2015 -0400

    l10n: NSIS: updating Albanian, Danish and Swedish

commit 451281dbb8571c26a576c7dfaf4e67662f8804ca
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Apr 11 00:17:03 2015 +0200

    NSIS: quote vlc-cache-gen call
    
    Close #14294
    
    (cherry picked from commit ac3ff888e2db9dab0319ff0715d849572b7a7145)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 90919e2465d7e8427b52663227c217a575033a65
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Apr 10 21:04:36 2015 +0200

    demux: ts: reset buffers on seek and flag discontinuity
    
    Close #14078
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a060374a5f3b4184c94c1b591f693faf4e6912b7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Apr 10 20:56:00 2015 +0200

    Win32: DxVA work-around to solve perf issue
    
    This is a HACK to work-around #14054
    This is NOT a fix, but well.
    
    It will default the Windows to "no" acceleration, until it is fixed.

commit 5962b968084d95c5c48c6d43d52974a0a8872e3a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Apr 10 12:38:17 2015 +0200

    Revert "Revert "contrib: flac: bump to 1.3.1""
    
    This reverts commit fc6d0fc479d9a24b7348270725fe3498306b782d.
    
    This should now be fixed by mstack

commit a6628c5002695c0fbfd75d5be77ff1273d06606e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Apr 10 10:29:20 2015 +0200

    Revert "Rewrites asx file support using vlc_xml API"
    
    This reverts commit 4c0b7973ce52ecc452e2c430d576914ef15fb1cc.
    
    Ref #14062

commit 270c2b196f5f9012f5928791884d572b08a090b6
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Apr 10 10:29:08 2015 +0200

    Revert "asx: fix many memory leaks (and cid #1109641)"
    
    This reverts commit 7e94e20bb5ee9a1014fa08f51c04f2293f21ea7a.
    
    Ref #14062

commit 6720acfaf97cab42cd9b2abfc0336e86c11aceeb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Apr 10 10:28:57 2015 +0200

    Revert "demux: playlist: asx: handle common mime type for asx playlist and asf"
    
    This reverts commit 74c432a3c72ec295fc6ae3974f5bf42f041a342e.
    
    Ref #14062

commit 70ae08e460fc2d4578fa954ffdca0244631865f0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Apr 10 10:27:34 2015 +0200

    Revert "playlist: asf: add wax mime type"
    
    This reverts commit 5b7b2a5ed8dc2821b368f7ed56a8b4bfb7af973a.
    
    Ref #14062

commit 065074596933f9e942db5fe954be07f395879410
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Apr 10 10:27:17 2015 +0200

    Revert "asx: fix use-after-free"
    
    This reverts commit 2983a6e32a3e75a4fd149db7c618fe7f4123874a.
    
    Ref #14062

commit fb951d9479fdf24ccece76eac56242a6a39102b1
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Fri Apr 10 00:40:32 2015 -0400

    contrib: flac: use -mstackrealign on win32
    
    Fixes #14104
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit c41fcd64a7dc84663931bfdea8c465a579deef05)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit daf3967e08e8b4d1100870b28350240a99ba1592
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Apr 10 10:20:14 2015 +0200

    Contribs: update libav and FFmpeg HASH

commit 31b93ae2d9915c02a73b6aabebc6ec26982b2681
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Apr 10 02:57:30 2015 +0200

    demux: ogg: avoid negative pts due to prepcr roundings (fix #14348)
    
    (cherry picked from commit 624a2a4c1d53731126f4c1c41682d8d9649870d4)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cd16d0a10ea94a013b69ede977868e24c418860b
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Apr 9 12:27:11 2015 +0200

    Qt: try to fix the crash on start
    
    The changes on preferences association registration, seems to have
    attacked the taskbar part
    
    (cherry picked from commit 0dce302d4cb74f4f9a2ddebb4a5db315895d58ea)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 35225221aae15bc92440946bfeb6aa462b749d1e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Apr 8 22:55:25 2015 +0200

    Qt: fix and update extension dialog
    
    Close #10350
    
    (cherry picked from commit cf1631d2387249e1e9355cfe9a7378ec7ac8df37)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f1169ad4623b3737de723c9234a3fee9f4999284
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Wed Apr 8 16:30:32 2015 -0400

    contrib: fix URL for QT 4.8.5
    
    It is now under "archive" instead of "official_releases"

commit 1c00d84aec755f91deccf2fe0e75ce0cc2f879b0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Apr 8 18:58:18 2015 +0300

    Qt4: allow either COM model for associations (fixes #14323)
    
    The model does not matter here as affected objects do not outlive the
    function call and are not used across threads. Still the references
    counter of the apartment must remain balanced.
    
    (cherry picked from commit aa9976b1f41fe7eb44b640163c5ff5f00a4e2953)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 76be75bce92c206916e7afff29ee9d6fb9a85f54
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Apr 7 21:13:02 2015 +0200

    codec: faad: set default rate to source's (fix #14213)
    
    output pts/length is computed from input block pts.
    If sample rate is wrong, all timings are borked.
    Try to use the declared sample rate if possible.
    
    If source has wrong sample rate
    
    (cherry picked from commit 06682f220832758726789cb735bfb89f80cabe56)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fcc1f1de7c0c0bd5c873bea16bfe90b09bf4c950
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Mon Apr 6 05:09:21 2015 +0000

    dvdnav: use RECONF
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit a65d5bbe862bdc37f53138a789da6a413f76488b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6d196393dbb3f696be39e2e7a4498b24d3df2348
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Mon Apr 6 05:09:20 2015 +0000

    dvdread: use RECONF
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit bdc028195dec7e7189404d8ff7524585ab0ec6f5)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f1f2845e600809d6215f2018363ffaf03a8b22e0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Apr 6 18:40:03 2015 +0200

    demux: ogg: fix old stream format reuse check
    
    (cherry picked from commit 751ecf1c78191151e27f898bd58345744f35bead)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3615cd1b98c010672f62d8d39c1e836e1bb2c89e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Apr 1 11:41:02 2015 +0300

    Qt: fix sout mux module names
    
    (cherry picked from commit 2c785718280fd69bdfe4c033c454a0834630bf19)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f05c2e817b2eb30194be2ca34fe279fc6c98a08d
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Thu Apr 2 13:59:08 2015 +0200

    win32: plugin: Fix inverted logic
    
    SetThreadErrorMode returns 0 on failure
    
    (cherry picked from commit 72b2f4a51d9cfe103bc9ca5644d87c0e5abdab4d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e59500ebc9c8a7dd97d1f9bbf141b166a720888e
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Apr 1 05:10:34 2015 +0000

    DXVA2: log the exact unknown GUID value
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 4e702c61ece5da4d179241deb1e20c8e1324dc2d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ff2855d5955ce0b4c26fdb2c924ef8120cad7f95
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Mar 30 21:46:05 2015 +0300

    Qt: fix rotation filter values
    
    (cherry picked from commit 0e8b7471fe0249c59a9e02e556a5df8dad0b224f)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3d9e29789bcd693c71417ddbc610d8e3c8048d3e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Mar 28 19:15:35 2015 +0200

    qt4: fix duplicate symbol
    
    (cherry picked from commit e7ef356de5e6d6f931478e92cc000480d8284974)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0aa628a295071defdd0042e76ee863ca48cf8d62
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Mar 28 16:30:47 2015 +0200

    qt4: fix COM leak and handle errors
    
    (cherry picked from commit 39e4fad1bc929bb35a5353380b456e36f23ea1c4)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 19816b865f7c80dd837e7a15dac4ef21520d9059
Author: Fabian Yamaguchi <fyamagu@gwdg.de>
Date:   Fri Dec 5 15:18:22 2014 +0100

    codec: schroedinger: fix potential buffer overflow.
    
    The variable len is a raw 32 bit value read using GetDWBE. If this
    value is larger than UINT32_MAX - sizeof(eos), this will cause an
    integer overflow in the subsequent call to malloc, and finally a
    buffer overflow when calling memcpy. We fix this by checking len
    accordingly.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 9bb0353a5c63a7f8c6fc853faa3df4b4df1f5eb5)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 7c28c94a6195074b30ed0c05a76296456684ed83
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Fri Mar 13 18:01:23 2015 +0100

    Win32: fix uninitialised variable and double free in drive letters mode
    
    Close #14140
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 3ca2ce1e87a85a924c0f7ef45324d31c65a986cd)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9d9b2bf7da2d756bddaae5863aa5fa4e1320fb4e
Author: Jonathan McGowan <jonathan@howlingwolf.org.uk>
Date:   Mon Mar 16 11:43:54 2015 +0000

    Win32: Fix supported types not registered properly by NSIS installer
    
    A bad parameter definition in function RegisterExtension resulted in the same value entry being written every time ("${EXT}"="").
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 506b7918936d668d221f79b9e926cf96c32c5005)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c03dce839ab477ea3098708917fd7eb551c3b41e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Mar 16 19:11:18 2015 +0100

    MFT: GUID_AC3 should be defined in Mingw-w64 4.0
    
    Of course, it's technically a GCC bug, because selectany is broken, but
    there is no simple fix for that.
    
    (cherry picked from commit 48d665494c2d23e474081a8b222942068b74b9b3)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9d6314766c1bb07e3b9be1d12bf6e1b87b4b3127
Author: Gina Dobrescu <dobrescu.gina.adriana@gmail.com>
Date:   Tue Mar 17 21:27:35 2015 +0000

    Interface: HTTP server: set proper align when expanding menu buttons
    
    Fixes #13855
    
    The small menu buttons on the left doesn't move downwards anymore when
    the menu is expanded
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 42970596e763a9fe34815a6ddf835cdc29be9eb1)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6735d775de126fc65c13a2e9e334971d0b276821
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Mar 18 12:56:15 2015 +0100

    httplive: leaks on playlist reload/merge (fix #14171)
    
    (cherry picked from commit b0e058b561b61404f992433964f82f9646c4863a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 425bf9a0d03de7cfb29e8884c86e87dae6b58e40
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Mar 18 14:35:46 2015 +0000

    MKV: fix ATRAC3 playback
    
    Fixes #14205
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit e99891e77f95b69a4bcc599f36ac13b296125226)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b17f116b2a2feee7f14d5c266337224f65c25cb3
Author: Miha Sokolov <newsletter@fab-online.com>
Date:   Fri Mar 20 09:38:51 2015 +0000

    fix teletext framing code in DVB PES packets ignored
    
    Check the teletext framing code in PES buffer for each of the received lines
    and only copy those with correct framing code (p_block->p_buffer[3]) to the
    p_sliced buffer that is later forwarded to ZVBI vbi_decode. Invalid lines
    will not reach vbi_decode anymore.
    
    When also packets with erroneous framing code are sent to vbi_decode (often
    0x00 with some noise), in most cases those are decoded as packet 1/2,
    causing the second text line on the teletext page to be overwritten with
    spaces. So we need to avoid sending such packets with invalid framing code
    to vbi_decode.
    
    Close #14191
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 20c15610261c4a61d6f5408653124ec23f622c37)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 07022abd1d595cec60bff259f7c0de5625a18445
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Fri Mar 20 08:07:05 2015 +0000

    libass: use the visible area dimensions, not the input dimensions
    
    Fixes incorrect offset when playing http://streams.videolan.org/misc/test-files-ccc/vsfilter_general_TestCase.mkv
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 3f106f42be8e7d5b66b74b0c6cf96a6f513eec90)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 82484b2b22694b2ba62e3db2697bfab43dab9a27
Author: Eugen Geist <eugen.geist@gmail.com>
Date:   Thu Mar 19 16:57:05 2015 +0000

    Update bookmark list before showing dialog.
    
    Fixes #2100.
    
    Override toggleVisible of BookmarkDialog to call update before using toggleVisible of QVLCFrame
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit b506e7db2cbd3cf8c7742efc59a6994fd2719477)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 69143b2003bb86a83521385ce37ae0120963ee00
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Thu Mar 19 12:08:12 2015 +0000

    directsound: fix TimeGet returning a positive value on error
    
    Fixes #14186
    
    a positive HRESULT means it succeeded.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 936279b55ad908e031d450d377afa8e09feea296)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b88dbb4d3c74c853a625d92008df4e9cddf387c6
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Mar 22 19:02:28 2015 +0100

    puzzle: fix error check, do not leak pictures on error
    
    close #14006
    
    (cherry picked from commit 5c2fc028e78429b8a9d540c7fa9d227c5efa0620)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 4148fb1d8dd574d7a71e6e4f7ac7eaba592e4c8c
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Sun Mar 22 18:01:26 2015 -0400

    vpx: fix leak
    
    (cherry picked from commit 3682cdd28fed93c43d36116ae443fb50224d27cf)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1987ccd4da68f49aa277e50cbb99bfbce4e73948
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Mar 25 15:07:54 2015 +0100

    Contribs: update dvdread to 5.0.3
    
    (cherry picked from commit dc51ba0240553965f8c6eddc05024302436a15c9)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0fa5425b08ee7595d0d40fe7858faa953a17e540
Author: Ilkka Ollakka <ileoo@videolan.org>
Date:   Thu Mar 19 08:52:30 2015 +0200

    udp: adjust receive buffer for windows 7 and earlier
    
    Try to detect runtime what windows version it is running to see if
    receive buffers should be increased or leave to OS handling.
    Fixes #14200
    
    (cherry picked from commit ca1e15692ce9acc2d421c302434efd10eec64d27)
    Signed-off-by: Ilkka Ollakka <ileoo@videolan.org>

commit 284eecda92a22ed6452f65bf57a9962fee2ef5e7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Mar 22 19:58:21 2015 +0200

    Real RTSP: discard unsupported legacy username and password syntax
    
    This is better than leaking them to the DNS resolver. This also avoids
    confusing error messages if live555 is missing or failing.
    
    (cherry picked from commit 2e3dee03644cafd3533495a53e1f6e0c1adf839c)

commit d89dd67a5c2fb48b2264684b33ee024b82beb50b
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Mar 21 18:30:21 2015 +0100

    macosx: fix main menu initialization order on startup
    
    MainMenus p_intf can be already accessed before
    applicationWillFinishLaunching was called.
    
    This should fix quite some crashes reported by the users.
    
    (cherry picked from commit 34e54feea7de9f75e6b2085df4a12235a516571a)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 27fcabe26fd223afb3f66abc994bd5de45aaf363
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Mar 21 17:31:20 2015 +0100

    macosx: Update progress dialog on the main thread, make check thread safe
    
    This should fix some crashes as reported by the users.
    
    (cherry picked from commit 984aadb5ca4f9a8bf01dffae42440320a1ea0f13)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit e6d5e1fb76afc52e7e0f72b361143d5a9d45f9ad
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sat Mar 14 15:59:26 2015 +0100

    macosx: fix video-wallpaper mode by ignoring core events
    
    wallpaper mode is more complicated than setting fullscreen and
    level values. Thus, it is implemented in the macosx UI, and we
    need to ignore some core events for proper functioning.
    
    close #14151
    
    (cherry picked from commit b8c639dd6c19dd8ecdf0804836c3dd0cf58bb217)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 4d544c599edbc1b9e7b6df5b196f5e2cb1be13f4
Author: Fabian Yamaguchi <fyamagu@gwdg.de>
Date:   Fri Dec 5 15:37:05 2014 +0100

    codec: dmo: avoid null-pointer dereference.
    
    Check the return value of malloc to avoid a null-pointer dereference.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 229c385a79d48e41687fae8b4dfeaeef9c8c3eb7)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 24b6aefceeaab8faa20a8231e3589971bb0b1440
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Mar 19 23:51:21 2015 +0200

    ALSA: request large enough buffers first (refs #10422)
    
    With the current input clock and decoder buffering code, getting large
    buffers is essential. So favor that over having short audio periods.
    (Ideally the audio period should probably be an half or a third of the
    PTS delay, rather than hard-coded to 40 ms, but that is a separate
    issue).
    
    (cherry picked from commit 4aeccbd7667c65bd278111a26c2aab088bc60a20)

commit 22dea4b7368bf653c9d6f9e8079d9dcf9896c8e6
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Mar 16 20:04:33 2015 +0200

    ALSA: log the device string that is actually opened
    
    (cherry picked from commit 45db0215add18231b00e3ebdf7762a0e68da5b2a)

commit 6d7114a6f3524f26c4e8f122755ecb4310b0eb93
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Mar 16 20:01:05 2015 +0200

    ALSA: only append AES parameters to iec958 and hdmi plugs
    
    Other ALSA plugs do not support those parameters.
    
    Regresion from 7a19c0b41e4c43392f423338d41b0bcebc3e5329.
    
    (cherry picked from commit 8add728fb5bd34a73e97462960343f604660a48f)

commit 095943e074b6989c0af5983217b297e9cb8c91a8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Mar 16 18:24:07 2015 +0200

    dtv: fix build with Linux DVB versions <= 5.8 (fixes #14156)
    
    (cherry picked from commit f4604778e41b385e464ce17c4c64488b40aa61da)

commit 00a6c7805e6377b3d48e5b4a5739793b07b239f4
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Jul 23 11:34:30 2014 +0900

    qt/macos: add missing addons intf and meta categories
    
    (cherry picked from commit f10d3f0435df67b62ebdd318179949429cf77e2b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 79a6feaefbebae6e147d7edf90c72aa62856d14b
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Thu Mar 12 15:03:23 2015 +0200

    sftp: error out if net_Connect fails
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit bd306466c8535a807725df88caf6dd79698f8234)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 043d17af4ca1aad0c0b5d2526950195d313716b6
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Thu Mar 12 14:26:49 2015 +0200

    sftp: close sockets
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 063838110416e60e0a8dec864c58c3b896d8c352)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9c3f5568074526cc4dda245310f4faccb4f44496
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Thu Mar 12 14:49:39 2015 +0200

    sftp: close sftp handle in error path
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 43dea53f52f49461024942d995356ec4ac790fb8)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c5dc8f2328e2e7a812b34c279c7506775e12fac9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Mar 11 22:22:54 2015 +0100

    ios vout: don't cancel touches in vout
    
    (cherry picked from commit 26ccf4df57357f83a6b565656e07db033b1e2999)

commit 32e294df9b16ea335127310d6422c028cb966ff7
Author: Zoran Turalija <zoran.turalija@gmail.com>
Date:   Sun Mar 8 15:35:33 2015 +0000

    gestures: fix: allow gesture to be triggered
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 5e6b6558c6e72b9c743d961fba0dae0707768392)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 8e9020da7cb1b4b7a51408ba9f1c108e1b30e6ec
Author: Martell Malone <martellmalone@gmail.com>
Date:   Wed Feb 18 15:28:58 2015 +0000

    MEDIASUBTYPE_I420 is in add wmcodecdsp.h
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit f309e6438bce710fcadf956da53f231bb6970fcb)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 531b877039498dd15c135165fd8618c82e6a7421
Author: Petri Hintukainen <phintuka@gmail.com>
Date:   Tue Mar 10 11:03:23 2015 +0200

    sftp: fix read
    
    libssh2_sftp_read may return less than requested.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 56d7e5528a8c35bd7d515049e90117d2ff262fcc)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 549a97eb46a5b6dfbc58c2a2b95cd48e572f1b0f
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Mar 10 10:48:47 2015 +0000

    MKV: VP9 has incremental frames, no B-frames
    
    Fixes #11690
    
    #11690 still fails to play with avcodec after that fix but is fine with libvpx
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit eadf306345f0e545c51af9a49925756e258538ba)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6247917a77301da0925e788e3c71c146e10acf26
Author: Hugo Beauzée-Luyssen <hugo@beauzee.fr>
Date:   Tue Mar 10 15:45:04 2015 +0100

    text: url: Fix options parsing
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 65b5f88f52fdfb0e1b51dd95f292bf7540fd9e1e)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 695e457190c058e6ed81d2285669c288d20e4ea5
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Wed Mar 11 13:27:16 2015 +0100

    Make sure the avparser is used for VP9 rather than the Copy Packetizer
    
    Fixes #11690 which didn't work with avcodec
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 6a298f986879816bd32691cf2f1459f756a017cf)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit dcb7aa435a7d06a0a63c1dedee6563d5d3b30a7f
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Tue Mar 10 14:08:10 2015 -0400

    Change translator name per request

commit e9384d12a578427bb2e4b71880f588d91034b174
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Mar 2 20:28:14 2015 +0200

    Revert "--stats: default to false" (fixes #14035)
    
    This reverts commit c24ea5fb3af17c08ea12d94a106577d06e9f4870.
    
    Signed-off-by: Rafaël Carré <funman@videolan.org>
    (cherry picked from commit d47fcbb413a08efbe65d72c3b79d83c39c8685fa)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e3490fba2ef4c195931f6f6f5efd19dc6fa24b6a
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Mar 9 18:46:00 2015 +0200

    qt: fix recent input item usage
    
     - Fix encoding (fixes #14123)
     - Fix data race on URI
     - Avoid useless variable retrievals
     - Avoid upcasting to double precision
    
    (cherry picked from commit 7bd17ef11da115c95318bc0489f8acee8fc1354b)

commit 844b5f3ba7ad1939d5a2c1bb1ec2f1727c2e03f5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Mar 9 17:00:15 2015 +0100

    codec: lpcm: reorder channels only after decoding (fix #14114)
    
    24bit LPCM is packed and can't be reordered without introducing
    clipping issues.
    
    (cherry picked from commit ab727f94736c1e34ee75d920689621e72ae080c9)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fc6d0fc479d9a24b7348270725fe3498306b782d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Mar 8 23:08:07 2015 +0100

    Revert "contrib: flac: bump to 1.3.1"
    
    This reverts commit 539e64711c87853e6ca8dac290fbf46d5a86a4c8.
    
    This fixes #14104

commit d9b379f05a7def50f64267715fe24814a0ddeddb
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Mar 8 22:36:18 2015 +0100

    Contribs: fix vorbis rules

commit ac1127173c3e137a663d8eb0d9f6bf0c341f3c7f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Mar 1 11:52:46 2015 +0200

    snapshot: fix format string portability
    
    We cannot assume that timeval.tv_usec (i.e. suseconds_t) is long.
    
    Reported-by: Ian Chamberlain <ian.h.chamberlain@gmail.com>
    (cherry picked from commit ab8b6a88654fbe8c0b0664678c07a8191de16bac)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9944e6a706f77bf403d47727561d758aa519432c
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Fri Mar 6 14:43:45 2015 +0100

    contrib: gme: don't skip negative (fixes #14088)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit e11d1337c0997bea2c6d256845012b47044bf88a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 505411c5e581dd14c64c46db17e024ee83601b47
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Mar 7 19:36:00 2015 +0100

    demux: mp4: add dts/pts index entries count guards (fix #14047)
    
    (cherry picked from commit 74ec84bb670828575aa48dad99700b15c7f5b441)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 76bd2a9cbca1b0cb7a017477200787804f25bd82
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Mar 7 19:35:59 2015 +0100

    demux: mp4: fix memleak on error
    
    (cherry picked from commit 8f0ad2f30f7de6b8e9b10f372c2a9e49b4a35d25)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f4ec992034ceb5a8bd8a8bdeabd0fbfac12071b2
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sat Mar 7 19:35:58 2015 +0100

    demux: mp4: fix memleak on error
    
    (cherry picked from commit 849b1b27c224a8223a4aa0094db1c6d321733c86)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 78054320f888f02752fbb72ca67f983e998feca5
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Thu Mar 5 19:13:58 2015 +0100

    macosx: Fix index out of bound crash in open dialog
    
    This happend when multiple audio devices with the same name are
    connected.
    
    (cherry picked from commit 60a30462b2524fece671d2463917dd55379b824e)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 43bb985ebefaf270f1315bd3960172725b412cd9
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Mon Mar 2 22:45:03 2015 +0100

    macosx: fix rare crash in VLCTimeField
    
    initWithFrame: is not always the designated initializer, thus the
    object got improperly initialized. Use default initialization and
    simplify code.
    
    (cherry picked from commit fd21eb02b4b769bf836c5f0491e9066046b4b946)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 4a1bde1ec55ba46e6860f6e77c686454a776a158
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Mar 4 13:31:34 2015 +0100

    Contribs: update FFmpeg hash
    
    Fixes the VP9 issue
    
    Close #14022

commit fae03b9715887b97fe69966bd32ff51a720e9ea9
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Mar 1 10:08:30 2015 +0200

    str_format_meta: missing initializer on error path
    
    (cherry picked from commit b592e72f5c2a7f7798ca91b3ce46e19257bd9a36)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 169a772addf6ea9fa643ad4e1c8e2771be7080fb
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Tue Mar 3 03:15:36 2015 -0500

    vdr: really fix sizeof mismatch
    
    (cherry picked from commit 6873c2417e1cfa48a659c5d44dcb6f15a9e6a6d1)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit db5150ec000508f8cfcd0dd11a0b9e4e30a43952
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Mar 3 12:21:20 2015 +0100

    Contribs: update libvorbis to 1.3.5
    
    And drop all our patches :)
    
    (cherry picked from commit 3b82206fccd3282cc11a51dd0fb1d8ba4e2a3a75)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 798ee99d4dd6a8d4fc8761dd8d949827327a1685
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Dec 25 17:40:39 2014 +0100

    demux: mkv: don't seek on current pos
    
    (cherry picked from commit 5aa03f3785ecd2e3c871cc22f0ab83d90640b45d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    
    Ref #14044

commit 4b1b487f970bd78d211c7ded29eb353f61ef1b0e
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Mar 2 16:33:57 2015 +0100

    demux: mp4: text/tx3g defaults to codec tx3G (fix #14045)
    
    (cherry picked from commit 47f8a34b48ecff9a3371348042f8f3b3e9bedc2c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3a58c9a9021ffe85f7d601257eb85d605cb4d3a7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Mar 1 23:54:47 2015 +0100

    Win32: timestamp the signature
    
    Close #14053
    
    (cherry picked from commit f63dce330a12f1f25f233025375faf912234ebe6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e7bb1508373b22cd88e1ae0c0c5a9a548f1dfbb8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Mar 1 18:30:10 2015 +0100

    Avparser: fix compilation with some older libav/FFmpeg versions
    
    Ref #12135

commit 3e51cde9c6b8a1857e2136791088f48aebd13e3e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Feb 27 16:16:48 2015 +0100

    On the road to 2.2.1

commit 1349ef2cd6e645e92e10ba32548704135fa25cc8
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Feb 27 15:08:25 2015 +0100

    Contribs: re-add Qt4 for Windows
    
    The number of regressions on Qt5 on Windows is too high...

commit d4bb3e3f08805e62be9d5a505a642b1b14bba343
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Feb 27 11:59:18 2015 +0100

    Qt: workaround for win32 to allow saving the volume
    
    This is bad, but I lack a better idea for now.

commit e52299c27e1fe7266e2a16881b0eb277eccd1ed7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Feb 26 23:54:02 2015 +0100

    Update PO

commit 1f0f5618a39b83cc086536c6610207eceb09f203
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Feb 26 21:28:26 2015 +0100

    Update NEWS for 2.2.0

commit 0f106581ca873385fa014a96248da8cee35f4989
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Feb 26 21:21:25 2015 +0100

    Revert "Qt: force main window maximum size to be some big enough"
    
    This reverts commit 19ca9885e15ef0ef71191f05fcedc0fce861c10a.

commit ff6d03f0ec65373bbf21546865bbaf60b0ddf8c3
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Feb 26 18:15:29 2015 +0100

    Avparser: Fix typo and remove trailing spaces
    
    (cherry picked from commit a56bd7ec491831228cb469af0e30c5f6d4735413)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit faf90e03a59f871c7de996012d2655e34c0b76a7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Feb 26 21:00:48 2015 +0100

    Enable to merge the avparser packetizer with --merge option
    
    (cherry picked from commit 6431ea3957eec984d85ebe82295fb86f92f40fd0)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f468f4c146495e2935895ef84c98a90dc6076776
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Feb 26 20:55:34 2015 +0100

    Add avparser.h to prepare for submodulification
    
    (cherry picked from commit 361829e7efe8742cc153eeb552232aa9b5a9596b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d34965e839e13119dc6ea4828c5d3ea43b4f9251
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Feb 26 20:46:55 2015 +0100

    Avparser: rename Open and Close functions
    
    (cherry picked from commit cbf5dbd53cf8af320b3b738d6fdef83a7000eece)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0a1bb10515efaed0cc62dac4b2cf3302f46b1328
Author: Denis Charmet <typx@dinauz.org>
Date:   Thu Feb 26 17:32:29 2015 +0100

    Add avparser packetizer for VP9 handling
    
    Fix #12944
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 17e07afce4d26cfecf6ab5252c738cd8a0e9756a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 855a557c359c669e536f458030bf091af35878be
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Wed Feb 25 19:22:39 2015 +0100

    Qt: profiles editor: fix and improve muxers warning messages
    
    (cherry picked from commit cdf0a385442e0fcb4439fd5564bb34d63e920565)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 71b74cdc0f402184ff5eabcf390cca7b176ebf31
Author: Steve Lhomme <robUx4@videolabs.io>
Date:   Tue Feb 24 12:04:49 2015 +0100

    MKV: fix playback of AC-3 with bogus default duration
    
    Fixes #8512
    The fix is similar to that one in ffmpeg/libav http://git.videolan.org/?p=ffmpeg.git;a=blob;f=libavformat/matroskadec.c;#l2813
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 6cad286bb079a8d6caed5da3c4b2be6dbdfa7f9c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d6cf63b14d410a38401bcaff6f026cfb0ec9be0e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Feb 24 23:12:28 2015 +0200

    udp: fix potential deadlock at exit
    
    (cherry picked from commit 613ea43a83ed745a9dd58ebce89607b98dbe894c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 85b79c312aa1f1aef73575c93749a32e7f798b13
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 24 20:47:39 2015 +0100

    i18n: Fix fr mistake

commit 46c7b029f0c415b921efc8c93e10105227b03dde
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Feb 20 15:26:18 2015 +0100

    Contrib: delete the libdts.a symlink
    
    It's useless for us and annoying on Windows
    
    (cherry picked from commit b7f623c96a7cd243af3661842df5ee6d7ab0bcd6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9274966d8ec61f4c7b652be00a0e9a7bfe9a1593
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Feb 20 15:18:01 2015 +0100

    Contribs: automatically remove ELF binaries from prebuilt on Win32
    
    (cherry picked from commit 135ec9c4ac6ee3a750eb332397ecedccbe12aec5)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit de0c5426e6f8c2ae27f9c24bc5d07d2758ca6b53
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 24 18:27:05 2015 +0100

    Qt: show context menu on pictureflow (fix #11876)
    
    ContextMenuEvent should be forwarded to parent
    when child has Qt::NoContextMenu policy.
    Here, I can't figure out what is not working,
    parent never fires signal, event at viewport level.
    
    Redirecting signal as a workaound then :/
    (might be pixels offset due to missing coordinates conversion)
    
    (cherry picked from commit 59f5a57b38e96035b8a0b918a2fc3c79b60123f6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 09ba0061ac999c6619dc3c62b064709590132b69
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Oct 11 20:38:48 2014 +0300

    Direct3D: destroy the window if any when in desktop wall paper mode
    
    (Manual cherry picked from commit f56d33ed1664db86aeff2580b66291080c467184)
    Signed-off-by: Thomas Guillem <thomas@gllm.fr>
    
    Close #13647
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e16703e298280f131fde043f574e681a504dd85f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 24 10:17:27 2015 +0100

    Contribs: ssh2, gcrypt needs gpg-error
    
    (cherry picked from commit 8e51ef1527ff8c23d6bc98bce3a8b87fef83c9f9)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 638512c1296df66e9dc60e272e135d770ed54f7d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 24 10:11:12 2015 +0100

    Contribs: fix ssh2 .pc file with zlib
    
    (cherry picked from commit 0d70f5f4b78248c04c2efbc744cc04e2d64b1ac6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 61609172dda3141834135955a9eca699eedc046e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Feb 23 20:58:36 2015 +0100

    ASF: fix compilation

commit ee4af8ee5bd47a61d4c08f90bc4f39e66686a688
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Feb 23 20:45:33 2015 +0100

    On the way to 2.2.0

commit 6a44faf7be802a9230b2a949435d488141c78e3f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Feb 23 17:55:56 2015 +0100

    VNC: don't log passwords
    
    (cherry picked from commit 806e9a457e8b90907e4c964e85dadaef7c9526fb)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 31ef8e654f1aa72bc99b2223d0527bcd9cfdbbda
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Feb 23 20:23:12 2015 +0100

    demux: asf: set es id to stream number
    
    Should fix mmsh stream selection
    
    (cherry picked from commit 35b4c344a39fd25b849400032c04e2701fefcb33)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit dc0bb0a5f6c8591f1edf30a8de50cb7f708a5ac8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Feb 18 19:41:23 2015 +0200

    DTV: add DVB-S2 stream support on Linux (fixes #12034)
    
    (cherry picked from commit de775b4323bc4ccc8b30eb6ae9485d7f0be90cd9)

commit 848f0aed72e490f377c1c52e568e75aef3e7a682
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Feb 18 19:40:42 2015 +0200

    DTV: add stream parameter for DVB-S2 (refs #12034)
    
    (cherry picked from commit c48aa72c5056b098e9c44fd8b9a6d752b3bdd6e4)

commit 33bd9ac85d8aeff22b409e1976d187846f501ee7
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Wed Feb 18 19:35:22 2015 +0200

    DTV: DVB-T2 PLP ID is between 0 and 255
    
    (cherry picked from commit fd0970abdfc80fe92cf6b87ed6b6987526919035)
    
    Conflicts:
    	modules/access/dtv/bdagraph.cpp

commit f687ca2447a2b2a0496b37129c7ab78b018c153f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sun Oct 12 19:37:59 2014 +0300

    vout: set fullscreen directly on window rather than display
    
    (cherry picked from commit cf5332b7515b09327e535ca56685556c07925afa)
    
    Ref #13647
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c7573b41a112df48b248139fb7318f94413dba3a
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Feb 17 20:10:12 2015 +0100

    macosx: fix float-on-top in combination with fullscreen
    
    (cherry picked from commit c63f722df235e9c2b154a702dcab081f7e4f0339)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit c869ca61663eaaf401936f4c0cf132ec77e6c11f
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Feb 17 20:42:57 2015 +0200

    oss: initialize current device value at start
    
    (cherry picked from commit c90f1aa6b3f12e37828099d25a5fb5146aab58f3)

commit 99ba0127a9b3552b0e5cce3356c92e44e07cb2f1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Feb 16 19:17:10 2015 +0100

    Win32: reimplement tmpfile()
    
    Because tmpfile() cannot be used if not admin on the machine on
    Windows...
    
    Close #13642
    
    (cherry picked from commit 3f08049ef7f3a963774590c0570d4b41cd777c65)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1b4d85ca9c428fede5cfba9006a47abb509d51da
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Feb 7 19:07:35 2015 +0100

    Add the HM10 fourcc for HEVC
    
    There are too many files in the wild with this...
    
    (cherry picked from commit d9997757f249750a6684be4cd09dd453a26351df)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0d6bb8b40fc38dc7e92f5a0a4b9aafd3bb4085ed
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Feb 8 08:46:42 2015 +0100

    Win32: Remove bin extension registration
    
    (cherry picked from commit 37e605d8797c441ecb152ca35c98a335adaed684)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f3e0501262459e535079fbdbcdb65a8e33547ca0
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Sun Feb 8 14:08:50 2015 +0100

    Direct3D9: destroy video hwnd to prevent handle leak
    
    IDirect3DDevice9_Present() creates an event like this:
    \Sessions\1\BaseNamedObjects\DwmDxBltEvent_a7045e
    
    But it isn't closed with IDirect3DDevice9_Release(), only explicitely
    destroying the video window closes the event handle.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 580970d3ae3ec2b0c08f0215056a69a7f7a5e747)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ec8fbd5455d15c5deb79e7334055880bfdbef6b0
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Mon Feb 9 19:36:00 2015 +0100

    codec: dts: fix custom channel mapping detection/tautology
    
    (cherry picked from commit 7e19ed8b7c7a833b091f9127bac38d7c4a6e958c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 92a48138115bb5e6dc49a6dca5743a7842619c3d
Author: Geoffrey Métais <geoffrey.metais@gmail.com>
Date:   Tue Feb 10 12:05:23 2015 +0100

    Check tools with '-version' too
    
    Some tools, like ant, have -version arg and not --version
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 278b85aabee8334b9b51a092cecaf553b1668c09)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f6a740ff0cd9080721656f426f63919a47e4a83b
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Tue Feb 10 19:02:01 2015 +0100

    demux: mpeg: avoid false positives with WAVE/dts (fix #13866)
    
    (cherry picked from commit cb4ea7cc766c1326ccd89412fab5e5621d4dd356)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 32c3f46e02d332d557eec8e517bf97b12a4b9bb6
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Mon Feb 16 12:43:25 2015 -0500

    update AUTHORS

commit dcd71f016e2469e509af0df665bca69bf1b3c00d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Feb 15 23:49:32 2015 +0100

    Qt: fix always on top deactivation on Windows
    
    See QTBUG-30359
    Close #13646
    
    (cherry picked from commit d88172ad44e3d5570df49d3a46638f123c80b72c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9c8721d89f8c4a36f1a0504928ab5cd09fb52772
Author: Hannes Domani <ssbssa@yahoo.de>
Date:   Sun Feb 15 19:18:08 2015 +0100

    x264: fix memory leak
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit c3a908c4d1cedbb7d6b2efbe037380dc80528267)

commit 70a8fffb54e1df90d3e12eade9e8553f73a47e0e
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sun Feb 15 11:48:41 2015 -0500

    Fix quoting

commit 93be09b6150ce01bf102c505755df130b0497db1
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Feb 15 14:03:56 2015 +0100

    macosx: Do not force-pause playback when resume dialog is shown
    
    (cherry picked from commit 3e46bbc954cf644721ec8028a76056ddb3baa2f6)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 545e1d191c68f0e45fe56999abd4262f5eaf4e5e
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Feb 15 10:20:11 2015 -0500

    l10n: Latvian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 8090f043e23f27295a588bb4eca56243ce53d20e
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Feb 15 10:18:30 2015 -0500

    l10n: Swedish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit eb52e1f27e0e5183ee6c2f3d1e2936908a05e23c
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Feb 15 10:16:32 2015 -0500

    l10n: Slovenian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 82f471c24b2a5bf27db4fd147802d6128e776390
Author: Marián Hikaník <mhikanik@users.sourceforge.net>
Date:   Sun Feb 15 10:14:34 2015 -0500

    l10n: Slovak update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 64f84bff8838cc9b52ed7218b77861563225ec45
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Feb 15 10:12:30 2015 -0500

    l10n: Portuguese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 3625ac79af28a02b872ef9cec0fb3d26a3fa6c13
Author: Aniket Eknath Kudale <aniket.kudale@hotmail.com>
Date:   Sun Feb 15 10:10:17 2015 -0500

    l10n: Marathi update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit f813e5a63bee49b5e1ffc96f644629eb3a192e8c
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Feb 15 09:50:10 2015 -0500

    l10n: Korean update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit b6cd70401e9ce637377437544c3dc7fb280fd78a
Author: Yogesh K S <yogesh@karnatakaeducation.org.in>
Date:   Sun Feb 15 09:48:50 2015 -0500

    l10n: Kannada update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 043af618526cb5e7dc2afb0bd06453174f45a482
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Feb 15 09:46:00 2015 -0500

    l10n: French update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit c317c158319a91e4c0c6bde045b06eef803ba629
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Feb 15 09:44:00 2015 -0500

    l10n: Spanish (Mexico) update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 517eac1d2d7b103c71c3b8d7fac928b550968984
Author: Tomáš Chvátal <tomas.chvatal@gmail.com>
Date:   Sun Feb 15 09:41:30 2015 -0500

    l10n: Czech update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 8dcbfed6298fec25f36f65d357d178447e4ea92d
Author: Pau Iranzo <paugnu@gmail.com>
Date:   Sun Feb 15 09:39:29 2015 -0500

    l10n: Catalan update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 4d3a07a32af79bf77d4074db42a6318265a80c21
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sun Feb 15 09:28:51 2015 -0500

    Add Spanish (Mexico) to LINGUAS

commit d5aba5ddc451e07bbc47919945b39e55e4129ce2
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sun Feb 15 05:31:35 2015 -0500

    l10n: NSIS: Add Icelandic to config

commit 59a409f8bec2cd7ccce2198ec1fb8030fb807ce5
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sun Feb 15 05:23:13 2015 -0500

    l10n: NSIS: Add Croatian to config

commit a7ac010d0cc463e688635d012e4d186397cabc2c
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sun Feb 15 05:11:57 2015 -0500

    l10n: NSIS: Add Albanian to config

commit 9b7216e2be577aea37aeb8c798c34c0e240c6eef
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sun Feb 15 06:06:53 2015 -0500

    l10n: NSIS: Add Albanian, Croatian and Icelandic files

commit 917bddade90049306a5c4e8daadf5b3a905f038f
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sun Feb 15 06:01:41 2015 -0500

    l10n: NSIS: updating Danish, Dutch, Estonian, Finnish, Greek, Italian, Portuguese, Swedish, Thai and Welsh

commit b41dd2cca7291fc44e0f0319c2b1eecf99018615
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Feb 15 11:54:18 2015 +0100

    macosx: Hide prefs window if application is inactive
    
    Makes sure the prefs window does not stay on top and hides
    all other applications if VLC is inactive.
    
    (cherry picked from commit edf308064f80c9b6542f40f79f750b6206f7a643)
    Signed-off-by: David Fuhrmann <dfuhrmann@videolan.org>

commit 41f961530da90b74a5e89ee7963006f73a5e99d7
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Sat Feb 14 10:02:51 2015 -0500

    extras/tools: explicitly check for xz
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 703720d0107888a345578483e83fc6b712960657
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Feb 13 19:11:39 2015 +0100

    Contrib: compile Qt native tools too
    
    (cherry picked from commit ab2ba6e332bdfb1143eb5079a7aef3d0b18725cd)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ede081f342b335f6ac4d018ae81d7668f81c08d8
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Feb 12 23:05:25 2015 +0200

    lua: attempt to clarify playlist documentation
    
    (cherry picked from commit 4ea5fac340e627fafdc55704998235486a7b392f)

commit 076e58c4dd797a78ebb48b7cf137938f0d5ebb5b
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Feb 12 23:05:09 2015 +0200

    lua: update example input item option
    
    (cherry picked from commit f80a0fcb25638dbfeac6505343a825ea117abb47)

commit 876c927229acab770925756b3363e12c5b95261d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Feb 12 17:42:25 2015 +0100

    Contrib: update gpg-error
    
    (cherry picked from commit 3585a3eb07ee1490dbd901f02e5c460cae1161d9)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 49dd9218550c7be1037856f675702b23a333749d
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Feb 12 21:58:32 2015 +0100

    contrib: ssh2: explicitely depend on gcrypt
    
    OpenSSL is the default if both exist
    
    (cherry picked from commit ae5f50c8eef0288c423657b21fa1f1b425aa6d86)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit cf9a19f00e03608c27baa16e4a2d29d13a877100
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Feb 12 21:34:08 2015 +0100

    DirectSound: always set the original_channels
    
    Ref #13826
    
    (cherry picked from commit 32db92e713d16c2a98730d126b6adcad87b27698)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 116a62804529a10830e6b222c43ecfc78a9ca725
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Feb 12 20:47:15 2015 +0100

    darwin aout modules: fix mono playback (refs #13826)
    
    This matches the ALSA implementation now.
    
    (cherry picked from commit 4817603a4cd918673c3eaa130c903daa52807984)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 26bda308d9d721613c49489ee356c4e1c37b00ec
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Feb 12 20:54:58 2015 +0200

    speexdsp: fix integer overflow (probably fixes #5781)
    
    (cherry picked from commit 9feeba7bef8e54bd6782c4acd1e1941015cf46ee)

commit 0f30a5836299e3172c0143dc767febbe99c0ed6e
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Feb 12 08:06:03 2015 +0200

    configure: fix missing smb plugin
    
    (cherry picked from commit 80a9b4738003c61452ba51d7dab6c4b59a965967)

commit 76a19597c8f3328adb2a46d7660aad1ebb8abd7c
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Feb 12 11:17:22 2015 +0100

    demux: ogg: check packets header size (fix #13875)
    
    (cherry picked from commit 0b37fc45954b2da51e452bb7111f32fa61d8edc5)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fb43d3276ed15baa46cc9c702748978bec067ae0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 10 14:51:51 2015 +0100

    lua: fix opening of scripts on Windows on non-ASCII path
    
    Close #13752
    
    (cherry picked from commit e105c631feec9c7a359002d1c44c8b919d55eb23)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d3135a1f7ba9c2152fac8e7a30367035e1c791d0
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 10 14:54:01 2015 +0100

    Lua: use the VLC wrapper to open files
    
    Ref #13752
    
    (cherry picked from commit d3985a2be5a4c77a4369ce5d7250cc6e57d21f39)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2989a5d83285766a0b47d41915a2f2b0b018e365
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 10 13:57:33 2015 +0100

    Revert "lua extensions: open a URI, not a filepath"
    
    This reverts commit 916c380e2bf648968af243523a242ff83c048558.
    
    Ref #13752
    
    (cherry picked from commit a759cda54211efb37bfeed651a0725c8a5bd5248)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 5a1cb5c1c38cc760a167a45eaff3659a5b251620
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 10 13:56:16 2015 +0100

    lua: always use vlclua_dofile
    
    Ref #13752
    
    (cherry picked from commit bf7ad95b7810e25f2c483fefda3e15f6239df648)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit c64e079700df62bd2426445e8dc3de16d39f4bc3
Author: Gabriel de Perthuis <g2p.code@gmail.com>
Date:   Mon Sep 15 12:35:46 2014 +0200

    Prevent potential null pointer dereference in zip access
    
    Close #12149
    Close #13815
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 3c53c13138225c4b2414ab8358847197cf29b718)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9dc6340258509152d4472568aef7d2d479b23ae0
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Sat Feb 7 12:37:53 2015 +0200

    configure: remove unused --enable-glx
    
    (cherry picked from commit 6344d9bbc22395d4a51a5d44fcddea0c1fe45e3b)

commit dc98188662414ada1e1811ca9ae65b3cb1be2ebc
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Feb 3 19:05:56 2015 +0100

    iOS vout 2: use simple tap instead of long touch gesture
    
    This proved to be more natural for on-screen navigation
    
    (cherry picked from commit 048ea8aae465093cfba2030786132d61e1b9237e)

commit 2d59a46047f47665c4dfb1805cc38ae3352853c5
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Thu Feb 5 20:20:01 2015 +0100

    demux: ts: fix cross program PCR regression
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 277f15203156e99847818837eaa0c3110619d0a7
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Feb 3 16:42:01 2015 +0100

    contrib/ffmpeg: disable lzma for Darwin
    
    (cherry picked from commit 6c7b1c97f6d940fef736cf4848b2ca67f4d97190)

commit 8dff2bfd8f5d0397b73523564dec8b8849cfe197
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 3 18:44:06 2015 +0100

    Contribs: use xzcat for tarballs
    
    (cherry picked from commit c1223539332b016c6b3450f611b6f7bade879454)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9487e24c8d2ea1c6c584a34c8a1f5e5ccd30cad7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 3 18:40:42 2015 +0100

    Contribs: fix directx rule
    
    (cherry picked from commit 6eabd348cd6046ad0bbcbd7565ec1e246751c1ad)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit e6323474484d3d9e94122ded429595e7e054bcd5
Author: Gleb Pinigin <gpinigin@gmail.com>
Date:   Tue Feb 3 08:24:14 2015 +0600

    extra/ios: retrieve via xcrun latest available SDK version
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>
    (cherry picked from commit 040ac94d13c17933b6928201e943f0bd9a792b51)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 350bbece7aaeee08e8c9ceed2906ad71e60a0f40
Author: Gleb Pinigin <gpinigin@gmail.com>
Date:   Tue Feb 3 08:23:41 2015 +0600

    vout/ios: remove touch recognizer from attached view
    
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>
    (cherry picked from commit 27e35fb480c8b6ddea56612f8c874c74aa642997)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit efe0a1db4b400c223a2935dea67edc277a188e12
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Nov 1 13:54:40 2014 +0100

    Win32: we don't need libstdc++-6.dll or libwinpthread-1.dll
    
    libgcc_s is still needed, for C++ modules
    
    Gotta love libtool
    
    Ref #12620
    
    (cherry picked from commit 5d78deeb986e4bf77140dfbad63b0f0b14b98a53)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 902adaba7c68e866241997d037adfc96c5f85f33
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Feb 3 11:39:03 2015 +0100

    Contribs: Add xzcat decompression tool
    
    (cherry picked from commit 1fad7fcae5db01e29fc7ed8dd67db76d04752394)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9708955cec96d6a74eaa5dfbb661cc41ad4d1e36
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jan 28 17:07:46 2015 +0100

    Contribs: update to 1.3.99 (1.4.0 RC)
    
    (cherry picked from commit 822f2507479e7e92ff48ce676b3f64bc7077afb4)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 321fa90d585b9ebcb317cf6e575edf2bb952b687
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Jan 29 19:15:53 2015 +0200

    stream: handle seek across EOF correctly (hopefully)
    
    (cherry picked from commit 6419254f5bb5ae06b72c93c9b52cd0a3bbbacb94)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit ce51ba402542d62abd6929fed42aa0d772066a24
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Sat Jan 31 10:28:45 2015 +0100

    youtube.lua: fix signature descrambling function pattern
    
    It doesn't support special characters like $, which happen to be used.
    
    (cherry picked from commit 457b73154ab210737acb68673830244e07b587e9)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 19ca9885e15ef0ef71191f05fcedc0fce861c10a
Author: Sergey Radionov <RSATom@gmail.com>
Date:   Thu Jan 29 18:19:12 2015 +0100

    Qt: force main window maximum size to be some big enough
    
    Close #12852
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit b5a43debee2232ca9b3be252f58c0520fcc413b8)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3031274f57db14add65b7d2af66fa8a3ba4833ec
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Jan 29 12:37:49 2015 +0100

    Update THANKS for dvdread/dvdnav
    
    (cherry picked from commit ccb6982958366f8761473568650049a43bd1cd71)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ac288cfa56d981bdcc6f6d3139fe03a1c80593c3
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Wed Jan 28 20:17:19 2015 -0500

    libbluray: depend on fontconfig as necessary
    
    This is a new requirement for libbluray 0.7.0.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 21c4f629ce6ed85dd1a4bd9133d7e44b17a61e9a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 95182667f28fdb242cd49c7ec0539d34bab4003b
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Jan 6 13:38:36 2015 +0100

    macosx: bookmarks: remove byte field from table view and edit dialog
    
    This field is shall not be used anymore. And its rather cubersome
    for the user anyway.

commit 06cedbef422ed6c126c8b3c7e02b2b5fb605a222
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Jan 6 12:47:31 2015 +0100

    macosx: fix int overflow when editing bookmarks
    
    This caused incorrect values for larger bookmarks.

commit 68ac288d43a91f201636c874b1dc1c5352fae741
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Jan 28 20:30:47 2015 +0100

    Update list of third party libraries
    
    (cherry picked from commit 436f7e09fd393eb4022edf721b5554aa0fb8d8dc)

commit f333a1c7fc9e4de4729c53a7c0718a001af37093
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Jan 28 18:40:38 2015 +0100

    contrib/ffmpeg: fix source download

commit 2a4caf19b4d26fd1f702429efd089eb70492ba93
Author: Pierre Ynard <linkfanel@yahoo.fr>
Date:   Wed Jan 28 18:02:25 2015 +0100

    youtube.lua: be more flexible with JSON spaces
    
    (cherry picked from commit 42b4ab8ae47906466e27e22d25869afccb7ffa0d)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 5392e7e76b8cd4accb325c929203265a4f7a6246
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jan 26 19:37:10 2015 +0100

    Qt: add a minimize button to MediaInfo dialog
    
    Close #12137
    
    (cherry picked from commit 3d33cac9d16508a9314763b9166d97764945339c)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0b1bc6df6cf8a0b085d7c145233359a037901d1e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Jan 27 13:48:22 2015 +0100

    Contribs: update libbluray to 0.7.0
    
    (cherry picked from commit a4dfd6569b1243cd2f1c96f63a6b32bc7d6096b6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 70c1a68dbd019846992521c01356b13f09d88949
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jan 28 00:48:00 2015 +0100

    lua extensions: open a URI, not a filepath
    
    Close #13752
    
    (cherry picked from commit 916c380e2bf648968af243523a242ff83c048558)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0b1889658a895869f9bbc40c53e6f406f5e2d5f4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jan 28 17:01:49 2015 +0100

    Contribs: disable FFmpeg/libav programs only when cross-compiling
    
    It can be useful to test avplay/ffplay localy
    
    (cherry picked from commit 8a72b02af5c867d32ede00f53e9e67c50818c282)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1dc0835888c3bc4f5369d46a4dde7c0c696eb661
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jan 28 17:07:52 2015 +0100

    Contribs: update libdvdread to 5.0.2
    
    (cherry picked from commit 2204acd9cee5483eeaebcd3bb1c649055b7f1976)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit dcf30f05977d13047086504abde3a3edca15b860
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jan 28 17:27:33 2015 +0100

    Contribs: update to libdvdnav 5.0.3
    
    (cherry picked from commit 582608e19cc1fe317fbdda65943138b2cfb060b5)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 127cc7cf849912719014f55529f5f8ee328bbad9
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jan 28 11:26:45 2015 +0100

    Contribs: use FFmpeg by default
    
    See #13777 (double-free in h264)
    See #11510 (oma not working in libav)
    See #13744 (PGS not working in libav)
    See #13625 (MPJEG)
    See #12945 (flv)
    See H265 not working:
    http://people.videolan.org/~jb/tmp/Luca/milkgirls1080p.mov-crf_26-preset_slow.mkv

commit 0f96eaaf15f027cf5cde763d53641ef9b1a3d40d
Author: Rafaël Carré <funman@videolan.org>
Date:   Wed Jan 28 10:51:03 2015 +0100

    Fix teletext page aspect ratio
    
    It was broken by 29a4015294, which should only have modified text "subpictures"
    Closes #13050
    Tested-by: Julian Scheel <julian@jusst.de>
    
    (cherry picked from commit 47f215557953d40ed0d0b38a7834917e9117cc2b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 07341fa8b64d17463c87bb5868a2b3d4edb1e3e8
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Mon Jan 26 19:42:59 2015 +0100

    Qt: don't try to resume playback on the same input file
    
    Close #11704
    
    (cherry picked from commit 1d81d4854e3ad7e78852fd0fb953923bc780c895)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 15513a7e4aedea95c5662448f3e4db6f74aea267
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Sun Jan 25 18:05:07 2015 +0100

    Qt: translate wizard buttons (fix #13753)
    
    (cherry picked from commit bf2b378cbabb55c864298a7368efcfa41c2aba76)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 324befaabba53e83eaab74a487e0660edb5e2a5c
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jan 26 19:25:36 2015 +0100

    Qt: don't have a too long URL displayed
    
    Close #12851
    
    (cherry picked from commit 9fd4b65f96c86ea8c39fd63a2412386d03060709)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f2ac2bd276f0cfcfe1c4f6dfe83d7d9a7da14460
Author: Ludovic Fauvet <etix@videolan.org>
Date:   Mon Jan 26 18:54:32 2015 +0100

    Fix meta title insanity
    
    Fix #13642
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 6b8ff472ec575505abc6c265cc062b79d79a5347)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit fbc04e9c81fcf9871e461d0452d46e7a47ac1c36
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jan 26 18:49:07 2015 +0100

    Windows: set DirectSound above MMDevice
    
    Oh yes, it's worse and more problematic than MMDevice...
    
    But it works around Ref #12391
    And #12391 works fine with MMDevice on the git.
    
    I did not manage to fix it, so let's downgrade it until 3.0.0

commit c3ee3f627ee5d4314e7b645ded59ad4071bca17a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Mon Jan 26 18:14:02 2015 +0100

    Contrib: update FFmpeg/libav hash

commit c0ac9ea369d1da6c16b2f4786c106ca25707e814
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Jan 25 09:03:24 2015 +0100

    i420_yuy2: I420 and YV12 are not the same
    
    Close #12858
    
    (cherry picked from commit a711c1aef72c62ba40c7a0d37f67567e61ba2622)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 015e5d2d556c234d76bcc73ca725c34b4d4ac442
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sun Jan 25 19:34:14 2015 +0100

    Qt: don't allow negative screen-numbers
    
    Close #13643
    
    (cherry picked from commit cd112b85939b04f50983b1f2a705c448eb79b527)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1a09aeaeb22bb7bf042eeccd5c9f055365ba15f2
Author: Christoph Miebach <christoph.miebach@web.de>
Date:   Sun Jan 25 12:24:56 2015 -0500

    Updating AUTHORS via script. Some manual modifications. Not perfect, though

commit edafec91d2bd140aac17c9d0c76d02e4a5807beb
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Sun Jan 25 16:04:29 2015 +0100

    macosx: Fix font selection when some fonts are disabled
    
    Usage of selectedFont inside changeFont: is not allowed, and its
    not needed as all the necessary work is done in convertFont:.
    
    close #13740
    
    (cherry picked from commit bf31a6b4648b803be4d45829e6d29e7d640a6787)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit a5a54a9e5a0f4f9d26413095ee72d7adb5dd2d37
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jan 25 08:11:12 2015 -0500

    l10n: Simplified Chinese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 94f08e320612a756cc7fa11f282d1740a56146d3
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jan 25 08:09:58 2015 -0500

    l10n: Uzbek update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 22849d93c4d08749450a82565f3d09adcc850ca6
Author: Kaya Zeren <kayazeren@gmail.com>
Date:   Sun Jan 25 08:07:18 2015 -0500

    l10n: Turkish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit dd8b6679d369b0abd21efadefb52e1190e19e4c6
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jan 25 08:05:58 2015 -0500

    l10n: Swedish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit f2a69729cf5597ed32345712c2bbd104ae0c65c4
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jan 25 08:02:38 2015 -0500

    l10n: Slovenian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 9e7340d42d4881e89b87a8de6a9519135207cb4c
Author: Alexander Lakhin <exclusion@gmail.com>
Date:   Sun Jan 25 07:58:20 2015 -0500

    l10n: Russian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit cee21c2d3632d8e206390ea54693b786cd95f555
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jan 25 07:57:16 2015 -0500

    l10n: Portuguese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit bd2eab34d25b9dc9bfe66b7091c9df02c9bd56d8
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jan 25 07:55:32 2015 -0500

    l10n: Polish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 531dc5e37496e4c79020c5e9cdea7be5322c7df1
Author: Amanpreet Singh Alam <apbrar@gmail.com>
Date:   Sun Jan 25 07:53:23 2015 -0500

    l10n: Punjabi update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 32dfc95ffd737588be33cf7eaa96f597bbfb5701
Author: Aniket Eknath Kudale <aniket.kudale@hotmail.com>
Date:   Sun Jan 25 07:35:56 2015 -0500

    l10n: Marathi update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit ef3880ae79890c81a9806cd582ed1e7483eb4158
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jan 25 07:34:30 2015 -0500

    l10n: Latvian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 1ff6c0f3035dbd4ea256d50d72ac62b64927ff5b
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jan 25 07:31:13 2015 -0500

    l10n: Kannada update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 680d8ff05426ebbc56821be0f0a8796df925f77a
Author: Fumio Nakayama <fumio.n6a@gmail.com>
Date:   Sun Jan 25 07:30:02 2015 -0500

    l10n: Japanese update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 554958647ed5da701dfb5a57dd22f4648a839bf9
Author: Vincenzo Reale <smart2128@baslug.org>
Date:   Sun Jan 25 07:27:28 2015 -0500

    l10n: Italian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 46ced292f4bac4e0208618bdc539e8236bc7d598
Author: Sveinn í Felli <sveinki@nett.is>
Date:   Sun Jan 25 07:25:24 2015 -0500

    l10n: Icelandic update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit bc3afedcc1fd88ad180057e0a73dd199eade0574
Author: Gabor Kelemen <kelemeng at gnome dot hu>
Date:   Sun Jan 25 07:24:25 2015 -0500

    l10n: Hungarian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 7695043f301bd371fc12b52a0544f06b8c864c2b
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jan 25 06:53:30 2015 -0500

    l10n: Croatian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 90df5f67b3d4d53686aa1aafdf4401edee66512a
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jan 25 05:32:37 2015 -0500

    l10n: French update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit b580e7a95b96b878234552de09d59425b4e7c91b
Author: Aputsiaĸ Niels Janussen <aj@isit.gl>
Date:   Sun Jan 25 05:21:55 2015 -0500

    l10n: Danish update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit b82d60baa10b0905eba71f380e23d43254a824c6
Author: Aled Powell <aled@aledpowell.com>
Date:   Sun Jan 25 05:19:54 2015 -0500

    l10n: Welsh update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit 8b17eb3bf5fd585d837299bca06a4675d9198a89
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jan 25 05:18:40 2015 -0500

    l10n: Bengali update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit d37af59c7df3f25ca3773f16508fba40309c4628
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jan 25 05:15:27 2015 -0500

    l10n: Bulgarian update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit a03741d83acf35be4f643f75d24d81cc46b593d3
Author: VideoLAN <videolan@videolan.org>
Date:   Sun Jan 25 05:12:58 2015 -0500

    l10n: Arabic update
    
    Signed-off-by: Christoph Miebach <christoph.miebach@web.de>

commit bb5afb097b1a39a196d93a64cd0ad2f3c4bbfba3
Author: Rafaël Carré <funman@videolan.org>
Date:   Thu Jan 22 18:49:03 2015 +0100

    Revert "Contrib: update upnp win32 patch"
    
    This reverts commit 853a6c489c353ecd994bc73912139281d30ee0d4.
    
    Breaks compilation with mingw-w64 3.2 :
    
    libtool: compile:  x86_64-w64-mingw32-gcc -DHAVE_CONFIG_H -I. -I..
    -I../upnp/inc -I./inc -I../threadutil/inc -I../ixml/inc -I./src/inc
    -I/contrib/x86_64-w64-mingw32/include -DPTW32_STATIC_LIB
    -DUPNP_STATIC_LIB -I/contrib/x86_64-w64-mingw32/include
    -g -DUPNP_STATIC_LIB -DPTW32_STATIC_LIB -Os -Wall -c src/api/upnpapi.c
    -o src/api/libupnp_la-upnpapi.o
    src/api/upnpapi.c: In function 'UpnpGetIfInfo':
    src/api/upnpapi.c:3214:2: error: unknown type name 'PIP_ADAPTER_ADDRESSES'
      PIP_ADAPTER_ADDRESSES adapts = NULL;
      ^
    
    (cherry picked from commit 4801fc4fe27c308ec8d9dc4a3776481c4d8ed240)
    Signed-off-by: Rafaël Carré <funman@videolan.org>

commit b93b662929f61abaaac837cb78ae108b25d9dd4f
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Sat Jan 24 09:54:31 2015 +0100

    2015
    
    Still alive!
    
    (cherry picked from commit d8976582c45911a2ca4125854cd85780721184e9)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 59409d5d43fd85e55728f9addcf5cd70770392f2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Jan 23 13:59:16 2015 +0100

    Disable OpenGL visualisation for Win32 temporarily
    
    Works-around #13650 crash on 2.2.0

commit c6131be819e89ec3e021740c702841b28b03734a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Jan 22 18:51:43 2015 +0100

    DirectDraw: revert part of 929c88bd9e6c28749c2dbffead07bd17a8adc501
    
    Should close #13706

commit dc1916eeb1cea60bd8139b8c9a1e8e0c2b53b42a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Jan 22 17:50:02 2015 +0100

    Qt: properly show the dialog buttons on Win32
    
    Close #13648
    
    (cherry picked from commit 339f955e7d0735bc74ed25e14b975e1b7a276855)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 17cd422316c33295a1784a3a08540a2d306446e4
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Jan 22 16:36:17 2015 +0100

    Update NEWS

commit 3fb6865de16dc8fa2ec7c952cf0f8f962d15c676
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Mon Jan 5 16:10:21 2015 +0200

    sndio: fix typo in 8-bits audio handling
    
    (cherry picked from commit 29ed18c70410534fe06318d5e1c4e5b7daebdd68)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 870d113495244b165c9741d4de6626364db08891
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Thu Jan 8 03:43:43 2015 +0100

    Win32: make volume touch less sensitive
    
    (cherry picked from commit 895f573f96fb4c2b439fdf45fc6eb63f1ec9a792)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit d4fc19a5cc83340992339c7fc503dd2df7b58dcc
Author: Sebastian Ramacher <sramacher@debian.org>
Date:   Sat Jan 10 22:01:04 2015 +0000

    zsh completion: add $BUILDDIR/lib/.libs to LD_LIBRARY_PATH
    
    zsh_gen is linked against libvlc from $BUILDDIR/lib/.libs and needs it in
    LD_LIBRARY_PATH to run.
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 6987c696afae74624552f26b1d5f445e974b5d52)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 58bfd793ea65be776f3d311fe5c8a9d52ca420d7
Author: Fabrizio Ge <fabrizio.ge@tiscali.it>
Date:   Wed Jan 14 07:42:19 2015 +0200

    configure: fix libnsl test
    
    Regression from 67531a989304442223d33da611b071083a4810bc.
    
    Signed-off-by: Rémi Denis-Courmont <remi@remlab.net>
    (cherry picked from commit 94b412529d1e2ee587930e720740294814666c85)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit ace3e45d73d4e5ba9ab309766b8bc20e61d4218f
Author: Adam Leggett <adamvleggett@gmail.com>
Date:   Wed Oct 8 16:42:35 2014 -0700

    Allow asset map parser to process empty tags correctly
    
    Signed-off-by: Jean-Paul Saman <jpsaman@videolan.org>
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 4457f17dcfed2365b30abfea98cd0d632573b51a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f14a18edb35159e0856f536ce2b897dbd36a54e1
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jan 21 16:43:28 2015 +0100

    Contribs: take latest x264 stable
    
    (cherry picked from commit b0b848e12a5ac3a9a051a2e6ee2815ac0844c5f3)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit eadd49a6235ee54c6863a842f77342ce39616521
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jan 21 10:54:24 2015 +0100

    Contribs: update Freetype2 to 2.5.5
    
    (cherry picked from commit 095eb7fbb56101db4e05b74360f4bc7417a7f111)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 0cb5358d17fbf1112ca95b2858bbc8b41a77798e
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jan 21 10:45:39 2015 +0100

    Contribs: update gettext to 0.19.4
    
    (cherry picked from commit 7ea07834d8aae9c7ccf97878b1fd07ad6216341d)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3197b6a825f029936065a34442a2bc37c723abd7
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jan 21 10:43:39 2015 +0100

    Contribs: update libpng to 1.6.16
    
    CVE-2014-9495
    
    (cherry picked from commit ed62e5b38363e6ecbf9c234c37510bf87db5c3c4)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit b1428d733023f7bce1d1df52cf91b97d5e2a627d
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jan 21 10:42:00 2015 +0100

    Contribs: udpate libxml2 to 2.9.2
    
    Move to configure.ac
    
    (cherry picked from commit e75e8062061bd515b3734bfd11a55e7204fd0fd6)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2c525e84e9ad51e3718b7216af41fbbf39f36fc2
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Wed Jan 21 10:00:53 2015 +0100

    Contribs: update libass to 0.12.1
    
    (cherry picked from commit 95bf94562cf6ed4e1b43066799e812d322145357)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit a2b240ff8b4310d81764b377a585bd3daddeda67
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Jan 13 23:40:00 2015 +0100

    Contribs: update gnutls to 3.2.21
    
    (cherry picked from commit 52088d39d1bf4bcfc19ee5a4ff2ec6633304d2cb)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 81c0161ac182fe4d6b1ed9e905f5755b0f65d974
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Jan 6 22:24:50 2015 +0100

    Contribs: update libmatroska to 1.4.2
    
    Move to autotools
    
    (cherry picked from commit 03cd31d2b1a30ca58c809c824e9254c120d62fcd)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 9470b8685f5a29abada6525ef7882c8e7fd7b535
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Tue Jan 6 22:22:33 2015 +0100

    Contribs: update libebml 1.3.1
    
    Move to autoconf
    
    (cherry picked from commit bb286ca8ca2612af172a190308a62e088b1e6138)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2b0d0bc006d306a2dabf72721eae7902bb006650
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Sat Jan 3 19:11:33 2015 -0500

    contrib: speex: skip RECONF
    
    (cherry picked from commit 10e45b15e775c16d4362e1d8a99af554e42a4151)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2ac7291410215cdf53d4a4cd1739b97cef2d67ce
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Sat Jan 3 19:10:16 2015 -0500

    contrib: speexdsp: skip RECONF
    
    (cherry picked from commit 94493f80d6609ad9a919653775883a55b419a23b)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 504775deaa810bddfffb48938af30164c1d8ef8e
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Sat Jan 3 18:58:04 2015 -0500

    contrib: use speexdsp 1.2rc3
    
    (cherry picked from commit 2e4ecc1d7857b74e367a793c19f22cf638e64952)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit f966a0fa8d82cea9554eeb1f23146abdd2e6fc47
Author: Francois Cartegnie <fcvlcdev@free.fr>
Date:   Fri Jan 16 16:58:18 2015 +0100

    codec: SCTE-27: set visible_width/height (fix #13514)
    
    (cherry picked from commit 014a02029419384e2c44114af192b16a934ed74e)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 44b4a5d90d33145129b890b39edd22409f0b3ce2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Jan 17 18:53:10 2015 +0100

    vout ios: use long touch instead of double tap gesture to control on screen elements
    
    (cherry picked from commit 8ac54d15ab03b66d68fa6b329f9dd8a5c8d0c7a1)

commit 5d3891a441817d0ebb9f9749d1c4104dceff1917
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Sep 25 21:50:56 2014 +0300

    rtp: hand-over the data block reference to the packetization function
    
    (cherry picked from commit a1222364b5f81c9f6e819c001394858bc3f4cea4)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 60755cf35d3fea3cd4b4e71103449f9c1b789f82
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Jan 15 21:32:27 2015 +0200

    libvlc: missing NULL terminator (fixes #13655)
    
    (cherry picked from commit 9d30c4c56a7bb37efc1121678b87e9595dd81675)

commit 42903febc606e4f447bda7718a0d8632a91b84e2
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Thu Jan 15 21:21:53 2015 +0200

    libvlc: fix vbi-page initialization without zvbi plugin
    
    A variable cannot be inherited if it is not a configuration item.
    Note this only avoids generating an error; VBI cannot work without the
    plugin anyway.
    
    (cherry picked from commit 950645c06103a61786ba28155523f609b2da5bdb)

commit a40eb079b3f8438b555f6146fe4d3b2058f54429
Author: Tristan Matthews <tmatth@videolan.org>
Date:   Thu Jan 15 00:18:14 2015 -0500

    rtp: jpeg: fix memory leaks
    
    (cherry picked from commit cbcbd32c1e62235877288bc0e0b54aad400a305f)

commit ce3de59fc11b120789ae76e807388476a54d3993
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Mon Jan 12 08:32:54 2015 +0100

    demux/subtitle: Fix wrong ASS header parsing
    
    After optimization in 6cccd64dacf431e1c33877e131b09ff906c85972,
    complete ASS header was discarded for some subtitles.
    
    close #12733
    
    (cherry picked from commit feb92ccef60546bfdfdae074eb99cd019ca7aad2)
    Signed-off-by: Felix Paul Kühne <fkuehne@videolan.org>

commit 1289de9af8fda00b63cd50cd1526a4cf4e21ce53
Author: Rémi Denis-Courmont <remi@remlab.net>
Date:   Tue Jan 6 21:46:14 2015 +0200

    rawvid: fix parsing frame and aspect ratii (fixes #13532)
    
    (cherry picked from commit c25d1cefc350a39ef76d1f3481879b27459816a7)

commit 9941767bd962c4b1e4def958441817494ca2713a
Author: Jean-Baptiste Kempf <jb@videolan.org>
Date:   Fri Jan 2 15:20:57 2015 +0100

    CDDB: add the correct pregap for calculation
    
    150sectors or 2 seconds
    
    Should close #4370
    
    (cherry picked from commit a4271ec9be0f0235b8fc9010e6135afc2365136a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 2474f6139b6a7c74dc504d1a682e45b9c634eb03
Author: Salah-Eddin Shaban <salshaaban@gmail.com>
Date:   Mon Jan 5 14:52:33 2015 +0000

    freetype: fix extra squares in Arabic subtitles (fixes #6152 #8117)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 9be4f7e0b5e289015f64508c8321d84c6abecd04)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 6992e73f830cf66b0c4f31e9c49792f1b62e091a
Author: David Fuhrmann <dfuhrmann@videolan.org>
Date:   Tue Jan 6 01:40:18 2015 +0100

    src: fix broken bookmarks functionality
    
    (cherry picked from commit a5e2641b0ddb990757d131649066ff7df68ceee1)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 1ad00453856afdfbca8f21931b94711be98a5565
Author: Sean McGovern <gseanmcg@gmail.com>
Date:   Thu Dec 18 17:57:17 2014 -0500

    ragel: use the official hosting address
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 31046d7499bd06cd0851ba793a15902df4c0b52a)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 525c7aa43a3dca35cdd1aa493ffdf2ce2107a6bd
Author: Anatoliy Anischovich <lin.aaa.lin@gmail.com>
Date:   Mon Dec 29 09:49:57 2014 +0000

    demux: mpc: fix replaygain calculation (fixes #13176)
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit d5d3b2551d640efe27d5d70084b7235b3932cdfb)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

commit 3d0ef0dbad29ba7d54eeeafbcf618cd9ef60f09b
Author: Thomas Guillem <thomas@gllm.fr>
Date:   Tue Dec 23 16:35:41 2014 +0000

    libvlc_media_list: missing vlc_mutex_destroy
    
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>
    (cherry picked from commit 89b679a3fc71888b4aa87912eb32fae9e35d7178)
    Signed-off-by: Jean-Baptiste Kempf <jb@videolan.org>

